"Change Set:		7323Traits-ar.231

Traits-ar.231:
Closure compiler, main part.

"!
!SendInfo methodsFor: 'instruction decoding' stamp: 'eem 7/21/2008 15:47'!
popIntoRemoteTemp: remoteTempIndex inVectorAt: tempVectorIndex
	"Simulate the action of bytecode that removes the top of the stack and  stores
	 it into an offset in one of my local variables being used as a remote temp vector."

	self pop! !

!SendInfo methodsFor: 'instruction decoding' stamp: 'eem 7/21/2008 15:49'!
pushNewArrayOfSize: arraySize
	self push: #stuff! !

!SendInfo methodsFor: 'instruction decoding' stamp: 'eem 7/21/2008 15:49'!
pushConsArrayWithElements: arraySize
	self pop: arraySize.
	self push: #stuff! !

!SendInfo methodsFor: 'instruction decoding' stamp: 'eem 7/21/2008 15:41'!
pushClosureCopyNumCopiedValues: numCopied numArgs: numArgs blockSize: blockSize
	"Simulate the action of a 'closure copy' bytecode whose result is the
	 new BlockClosure for the following code"
	self pop: numCopied.
	self push: #block.
	savedStacks at: (self pc + blockSize) put: stack.
	"We empty the stack to signify that execution cannot 'fall through' to the
	next statement.  Note that since we just stored the current stack, not a copy, in
	the savedStacks dictionary, here we need to allocate a new stack."
	self newEmptyStack.
	numCopied + numArgs timesRepeat: [self push: #stuff]! !

!SendInfo methodsFor: 'instruction decoding' stamp: 'eem 7/21/2008 15:47'!
storeIntoRemoteTemp: remoteTempIndex inVectorAt: tempVectorIndex
	"Simulate the action of bytecode that stores the top of the stack at
	 an offset in one of my local variables being used as a remote temp vector."! !

!SendInfo methodsFor: 'instruction decoding' stamp: 'eem 7/21/2008 15:46'!
pushRemoteTemp: remoteTempIndex inVectorAt: tempVectorIndex
	"Simulate the action of bytecode that pushes the value at remoteTempIndex
	 in one of my local variables being used as a remote temp vector."
	self push: #stuff! !

