"Change Set:		7554KernelTests-mha.84

KernelTests-mha.84:
deleted obsolete BlockClosureTest

KernelTests-mha.82:
fixed MethodContextTest and BlockContextTest (both sent isBlockClosure instead of isClosure)

KernelTests-mha.83:
fixed BlockContextTest and MethodContextTest (both sent isBlockClosure instead of isClosure)

"!
!MethodContextTest methodsFor: 'tests' stamp: 'mha 8/10/2009 08:56'!
testSetUp
	"Note: In addition to verifying that the setUp worked the way it was expected to, testSetUp is used to illustrate the meaning of the simple access methods, methods that are not normally otherwise 'tested'"
	self assert: aMethodContext isMethodContext.
	self deny: aMethodContext isClosure.
	self deny: aMethodContext isPseudoContext.
	self deny: aMethodContext isDead.
	"self assert: aMethodContext home = aReceiver."
	"self assert: aMethodContext blockHome = aReceiver."
	self assert: aMethodContext receiver = aReceiver.
	self assert: (aMethodContext method isKindOf: CompiledMethod).
	self assert: aMethodContext method = aCompiledMethod.
	self assert: aMethodContext methodNode selector = #rightCenter.
	self assert: (aMethodContext methodNodeFormattedAndDecorated: true) selector = #rightCenter.
	self assert: aMethodContext client printString = 'MethodContextTest>>#testSetUp'.
! !

!BlockContextTest methodsFor: 'tests' stamp: 'mha 8/10/2009 08:56'!
testSetUp
	"Note: In addition to verifying that the setUp worked the way it was expected to, testSetUp is used to illustrate the meaning of the simple access methods, methods that are not normally otherwise 'tested'"
	self deny: aBlockContext isClosure.
	self deny: aBlockContext isMethodContext.
	self deny: aBlockContext isPseudoContext.
	self deny: aBlockContext isDead.
	self assert: aBlockContext home = contextOfaBlockContext.
	self assert: aBlockContext blockHome = contextOfaBlockContext.
	self assert: aBlockContext receiver = self.
	self assert: (aBlockContext method isKindOf: CompiledMethod).
	self assert: aBlockContext methodNode selector = 'setUp'.
	self assert: (aBlockContext methodNodeFormattedAndDecorated: true) selector = 'setUp'.! !

BlockClosureTest removeSelector: #exempleBlock!
BlockClosureTest removeSelector: #exempleClosureEqual2!
BlockClosureTest removeSelector: #testComparing!
BlockClosureTest removeSelector: #testComparingEqual!
BlockClosureTest removeSelector: #exempleClosure!
BlockClosureTest removeSelector: #testHasLiteral!
BlockClosureTest removeSelector: #setUp!
BlockClosureTest removeSelector: #exempleClosureEqual1!
Smalltalk removeClassNamed: #BlockClosureTest!
