"Change Set:		7569PreferenceBrowser-ar.36

PreferenceBrowser-ar.36:
Clean out obsolete preference view registries.

"!
!PreferenceViewRegistry class methodsFor: 'class initialization' stamp: 'ar 8/9/2009 16:40'!
initialize
	"Ensure we aren't carrying obsolete references"
	self removeObsolete.! !

!PreferenceViewRegistry class methodsFor: 'class initialization' stamp: 'ar 8/9/2009 16:42'!
removeObsolete
	"PreferenceViewRegistry removeObsolete"
	"Remove obsolete entries from the registries"
	self registries do:[:viewRegistry|
		viewRegistry registeredClasses copy do:[:rClass|
			rClass isObsolete ifTrue:[viewRegistry unregister: rClass]]].! !

PreferenceViewRegistry initialize!
