"Change Set:		7617Collections-rss.118

Collections-rss.118:
Removing cruft left over from colorPrint browser option and colorWhenPrettyPrinting preference.

Collections-rkrk.117:
Bugfix for bug #0006579 reported by Nicolas Cellier. In In String>>findLastOccuranceOfString:startingAt: 'subString size' is replaced with '1'. CollectionsTests-rkrk.90 has a test for this method.

"!
!String methodsFor: 'accessing' stamp: 'rkrk 8/23/2009 02:05'!
findLastOccuranceOfString: subString startingAt: start 
	"Answer the index of the last occurance of subString within the receiver, starting at start. If 
	the receiver does not contain subString, answer 0."

	| last now |
	last := self findSubstring: subString in: self startingAt: start matchTable: CaseSensitiveOrder.
	last = 0 ifTrue: [^ 0].
	[last > 0] whileTrue: [
		now := last.
		last := self findSubstring: subString in: self startingAt: last + 1 matchTable: CaseSensitiveOrder.
	].

	^ now.
! !

!Text methodsFor: 'attributes' stamp: 'rss 8/23/2009 11:01'!
askIfAddStyle: priorMethod req: requestor
	"Ask the user if we have a complex style (i.e. bold) for the first time"
	| tell answ old |
	(Preferences browseWithPrettyPrint)
		ifTrue: [self couldDeriveFromPrettyPrinting ifTrue: [^ self asString]].
	self runs coalesce.
	self unembellished ifTrue: [^ self asString].
	priorMethod ifNotNil: [old := priorMethod getSourceFromFile].
	(old == nil or: [old unembellished])
		ifTrue:
			[tell := 'This method contains style for the first time (e.g. bold or colored text).
Do you really want to save the style info?'.
			answ := (UIManager default 
						chooseFrom: #('Save method with style' 'Save method simply')
						title: tell).
			answ = 2 ifTrue: [^ self asString]]! !

