"Change Set:		7631KernelTests-ar.85

KernelTests-ar.85:
Merged KernelTests-it.69:

Reformatted code in Week>>startDay.

Added tests for Week class methods indexOfDay:, nameOfDay: and dayNames.

"!
!MonthTest methodsFor: 'Tests' stamp: 'it 7/14/2009 01:39'!
testIndexOfMonth

	| m |
	m := #(#January #February #March #April #May #June #July #August #September #October #November #December).
	
	m withIndexDo: [:item :index | self assert: (Month indexOfMonth: item) = index].
	
	self should: [Month indexOfMonth: 1] raise: TestResult error.
	self should: [Month indexOfMonth: #1] raise: TestResult error.
	self should: [Month indexOfMonth: #Marsh] raise: TestResult error. "notice the misspell!!"
	self should: [Month indexOfMonth: #UnexistingMonth] raise: TestResult error.! !

!WeekTest methodsFor: 'Tests' stamp: 'it 7/14/2009 19:46'!
testNameOfDay
	| days |
	days := #(#Sunday #Monday #Tuesday #Wednesday #Thursday #Friday #Saturday).
	
	days withIndexDo: [:item :index | self assert: (Week nameOfDay: index) = item].
	
	self should: [Week nameOfDay: 0] raise: TestResult error.
	self should: [Week nameOfDay: 8] raise: TestResult error.
	self should: [Week nameOfDay: #Sunday] raise: TestResult error.! !

!MonthTest methodsFor: 'Tests' stamp: 'it 7/14/2009 01:17'!
testNameOfMonth

	| m |
	m := #(#January #February #March #April #May #June #July #August #September #October #November #December).
	
	m withIndexDo: [:item :index | self assert: (Month nameOfMonth: index) = item].
	
	self should: [Month nameOfMonth: 0] raise: TestResult error.
	self should: [Month nameOfMonth: 13] raise: TestResult error.
	self should: [Month nameOfMonth: #January] raise: TestResult error.! !

!WeekTest methodsFor: 'Tests' stamp: 'it 7/14/2009 19:52'!
testIndexOfDay
	| days |
	days := #(#Sunday #Monday #Tuesday #Wednesday #Thursday #Friday #Saturday).
	
	days withIndexDo: [:item :index | self assert: (Week indexOfDay: item) = index].
	
	"This should probably raise an error rather than returning 0."
	self assert: (Week indexOfDay: 0) = 0.
	self assert: (Week indexOfDay: 1) = 0.
	self assert: (Week indexOfDay: 7) = 0.
	self assert: (Week indexOfDay: 8) = 0.
	self assert: (Week indexOfDay: #Sunnyday) = 0.! !

!WeekTest methodsFor: 'Tests' stamp: 'it 7/14/2009 19:47'!
testDayNames
	self assert: (Week dayNames) = #(#Sunday #Monday #Tuesday #Wednesday #Thursday #Friday #Saturday).! !

