"Change Set:		7697Tools-ar.121

Tools-ar.121:
Two fixes for FileContentsBrowser:
- do not use annotation panes since FCB has info pane
- provide proper menu in message list

Tools-ar.120:
Whoopsie. Fixed senders but broke implementors. Only do a self changed: #autoSelect if we actually have an autoSelectString; the updating code expects a string and blows up with nil.

"!
!FileContentsBrowser methodsFor: 'menus' stamp: 'ar 8/26/2009 23:42'!
messageListMenu: aMenu shifted: aBool

	^ aMenu 
		labels:
'fileIn
fileOut
senders (n)
implementors (m)
method inheritance (h)
versions (v)
remove'
		lines: #(2 6)
		selections: #(fileInMessage fileOutMessage
browseSenders browseImplementors methodHierarchy browseVersions
removeMessage).
! !

!MessageSet methodsFor: 'toolbuilder' stamp: 'ar 8/25/2009 09:46'!
buildWith: builder
	| windowSpec max result |
	self wantsOptionalButtons ifTrue:[max := 0.3] ifFalse:[max := 0.3].
	windowSpec := self buildWindowWith: builder specs: {
		(0@0 corner: 1@max) -> [self buildMessageListWith: builder].
		(0@max corner: 1@1) -> [self buildCodePaneWith: builder].
	}.
	result := builder build: windowSpec.
	autoSelectString ifNotNil:[self changed: #autoSelect].
	^result! !

!FileContentsBrowser methodsFor: 'toolbuilder' stamp: 'ar 8/26/2009 23:42'!
wantsAnnotationPane
	"Never. FCB has its info pane already which serves the same purpose."
	^false
! !

FileContentsBrowser removeSelector: #messageListMenu:!
