"Change Set:		7802Graphics-jmv.77

Graphics-jmv.77:
Made #baseKern answer zero on most cases. This avoids what seems to be a bug in CharacterScanner and friends that might compute incorrect pixel width for strings.

Graphics-ar.76:
Face Lift: Use Bert's version of Color>>duller.

Project refactoring: Vector Display restore requests through Project current since the current project knows best how to redraw a Morphic or MVC environment.

"!
!Color methodsFor: 'transformations' stamp: 'bf 9/18/2009 13:43'!
duller

	^ self adjustSaturation: -0.1 brightness: -0.1! !

!StrikeFont methodsFor: 'accessing' stamp: 'jmv 9/22/2009 18:40'!
baseKern
	"Return the base kern value to be used for all characters."
	
	| italic |
	italic := emphasis allMask: 2.
	
	(self isSynthetic not and: [ glyphs depth > 1 ]) ifTrue: [
		^(italic or: [ pointSize < 9 ])
			ifTrue: [ 1 ]
			ifFalse: [ 0] ].
		
	italic ifFalse: [^ 0].
	^ ((self height-1-self ascent+4)//4 max: 0)  "See makeItalicGlyphs"
		+ (((self ascent-5+4)//4 max: 0))! !

!DisplayScreen methodsFor: 'other' stamp: 'ar 9/18/2009 20:26'!
restoreAfter: aBlock
	"Evaluate the block, wait for a mouse click, and then restore the screen."

	aBlock value.
	Sensor waitButton.
	self restore.! !

!DisplayScreen methodsFor: 'other' stamp: 'ar 9/18/2009 20:28'!
restore
	"Restore the bits on Display"
	Project current ifNotNil:[:p| p invalidate; restore].! !

!DisplayScreen class methodsFor: 'display box access' stamp: 'ar 9/18/2009 20:28'!
checkForNewScreenSize
	"Check whether the screen size has changed and if so take appropriate actions"

	Display extent = DisplayScreen actualScreenSize ifTrue: [^ self].
	DisplayScreen startUp.
	Project current ifNotNil:[:p| p displaySizeChanged].! !

