"Change Set:		7895MorphicExtras-nice.48

MorphicExtras-nice.48:
Fix bug http://bugs.squeak.org/view.php?id=6732
In SketchEditorMorph, using undo on a polygon put it in a non-functioning state.

"!
!SketchEditorMorph methodsFor: 'start & finish' stamp: 'nice 10/17/2007 22:59'!
undo: evt 
	"revert to a previous state.  "

	| temp poly pen |
	self flag: #bob.	"what is undo in multihand environment?"
	undoBuffer ifNil: [^Beeper beep].	"nothing to go back to"
	(poly := self valueOfProperty: #polygon) ifNotNil: 
			[poly delete.
			self setProperty: #polygon toValue: nil.
			self polyEditing: false.
			^self].
	temp := paintingForm.
	paintingForm := undoBuffer.
	undoBuffer := temp.	"can get back to what you had by undoing again"
	pen := self get: #paintingFormPen for: evt.
	pen ifNil: [^Beeper  beep].
	pen setDestForm: paintingForm.
	formCanvas := paintingForm getCanvas.	"used for lines, ovals, etc."
	formCanvas := formCanvas copyOrigin: self topLeft negated
				clipRect: (0 @ 0 extent: bounds extent).
	self render: bounds! !

!SketchEditorMorph methodsFor: 'actions & preps' stamp: 'nice 10/17/2007 22:44'!
polyFreeze
	"A live polygon is on the painting.  Draw it into the painting and
delete it."

	| poly |
	self polyEditing ifFalse:[^self].
	(poly := self valueOfProperty: #polygon)
		ifNil:
			[self polyEditing: false.
			^ self].
	poly drawOn: formCanvas.
	poly delete.
	self setProperty: #polygon toValue: nil.
	self polyEditing: false.! !

