"Change Set:		8167PackageInfo-Base-ul.30

PackageInfo-Base-ul.30:
- PackageInfo >> #classesAndMetaClasses returns a Set instead of an Array. This greatly improves the performance of #externalClasses, #externalTraits and #outsideClasses when the package has more than a few classes, because they rely on fast #includes: implementation.

"!
!PackageInfo methodsFor: 'listing' stamp: 'ul 11/13/2009 16:29'!
classesAndMetaClasses
	"Return a Set with all classes and metaclasses belonging to this package"

	| baseClasses result |
	baseClasses := self classes.
	result := (Set new: baseClasses size * 2) 
		addAll: baseClasses;
		yourself.
	baseClasses do: [ :c | 
		result add: c classSide].
	^result
! !

