"Change Set:		8497ToolBuilder-Kernel-ar.25

ToolBuilder-Kernel-ar.25:
Fix tests for side effects on button signals.

"!
!ToolBuilderTests methodsFor: 'support' stamp: 'ar 12/15/2009 15:08'!
expectedButtonSideEffects
	"side effect queries we expect to see on buttons"
	^#()! !

!ToolBuilderTests methodsFor: 'tests-button' stamp: 'ar 12/15/2009 15:07'!
testGetButtonSideEffects
	self makeButton.
	queries := IdentitySet new.
	self changed: #testSignalWithNoDiscernableEffect.
	self expectedButtonSideEffects do:[:sym|
		self assert: (queries includes: sym). 
		queries remove: sym.
	].
	self assert: queries isEmpty.! !

ToolBuilderTests removeSelector: #testGetButtonSideEffectFree!
