"Change Set:		8674Traits-ar.256

Traits-ar.256:
Shipping NanoTraits part 4: Here comes the big clean up. Let's see if it's loadable :-)

"!
!ClassDescription methodsFor: '*Traits-NanoKernel' stamp: 'ar 12/29/2009 17:20'!
setTraitComposition: aTraitComposition
	"OBSOLETE. Use Class uses: aTraitComposition instead."
	^self uses: aTraitComposition
! !

!NanoTrait class methodsFor: 'installing' stamp: 'ar 12/29/2009 17:25'!
install		"NanoTrait install"
	"Installs NanoTraits"

	"Force recompilation of basic classes to get traits aliasing right"
	{Behavior. ClassDescription. Class. Metaclass} do:[:aClass| 
		aClass selectorsDo:[:sel|
			aClass 
				compile: (aClass sourceCodeAt: sel)
				classified: (aClass organization categoryOfElement: sel)
				withStamp: (aClass compiledMethodAt: sel) timeStamp 
				notifying: nil].
		aClass setTraitCompositionFrom: {}].

	ClassDescription traitImpl: self. 		"Create all new traits as NanoTraits"
	self updateTraits: Smalltalk allTraits.	"And convert everything to NanoTraits"
	Smalltalk allClassesAndTraitsDo:[:aClass|
		aClass traitComposition isEmpty 
			ifTrue:[aClass traitComposition: nil].
		aClass classSide traitComposition isEmpty 
			ifTrue:[aClass classSide traitComposition: nil]].

	"TWriteStreamTest has the class traits reversed which which will be undone
	by installation. Put it back in reverse order to keep MC happy."
	(Smalltalk at: #TWriteStreamTest) classTrait
		uses: 
			(Smalltalk at: #TSequencedStreamTest) classTrait + 
			(Smalltalk at: #TPuttableStreamTest) classTrait.
! !

!ClassDescription methodsFor: '*Traits-NanoKernel' stamp: 'ar 12/29/2009 17:37'!
includesLocalSelector: selector
	^(self compiledMethodAt: selector ifAbsent:[^false]) methodHome == self! !

!ClassDescription methodsFor: '*Traits-NanoKernel' stamp: 'ar 12/29/2009 17:20'!
setTraitCompositionFrom: aTraitComposition
	"OBSOLETE. Use Class uses: aTraitComposition instead."
	^self uses: aTraitComposition
! !

TCompilingBehavior removeSelector: #parseScope!
FixedIdentitySet classSide removeSelector: #with:with:with:!
FullMERequiresSpeedTestCase removeSelector: #prepareAllCaches!
TraitBehavior removeSelector: #basicLocalSelectors!
TFileInOutDescription removeSelector: #fileOutOn:moveSource:toFile:!
QuickStack removeSelector: #removeLast:!
TraitsResource removeSelector: #tearDown!
TCompilingBehavior removeSelector: #fullyImplementsVocabulary:!
Trait removeSelector: #basicCategory:!
SendsInfoTest removeSelector: #assert:sends:supersends:classSends:!
TUpdateTraitsBehavior removeSelector: #noteChangedSelectors:!
Trait removeSelector: #isClassTrait!
SendInfo removeSelector: #methodReturnConstant:!
TPureBehavior removeSelector: #providedSelectors!
Smalltalk removeClassNamed: #QuickIntegerDictionary!
TCompilingBehavior removeSelector: #selectorsDo:!
TComposingDescription removeSelector: #-!
CodeModelExtension removeSelector: #for:!
TraitsTestCase removeSelector: #c1!
TUpdateTraitsBehavior removeSelector: #addTraitSelector:withMethod:!
RequiresTestCase removeSelector: #loseInterestsInAll!
TraitDescription removeSelector: #definitionST80!
TAccessingTraitCompositionBehavior removeSelector: #removeFromComposition:!
Trait class removeSelector: #newTraitNamed:uses:category:!
SendInfo removeSelector: #popIntoRemoteTemp:inVectorAt:!
ClassTrait removeSelector: #name!
TraitDescription removeSelector: #baseTrait!
TUpdateTraitsBehavior removeSelector: #updateMethodDictionarySelector:!
RequiredSelectors removeSelector: #lostInterest:inAll:!
Behavior removeSelector: #sendCaches!
SendInfo removeSelector: #jump:!
TCompilingDescription removeSelector: #compile:classified:!
RequiredSelectorsChangesCalculator removeSelector: #initialize!
SystemTest removeSelector: #testAllImplementedMessagesWithout!
TraitDescription removeSelector: #forgetDoIts!
QuickStack removeSelector: #copy!
TraitDescription removeSelector: #copyTraitExpression!
TFileInOutDescription removeSelector: #fileOutMethod:asHtml:!
TCommentDescription removeSelector: #classComment:stamp:!
RequiredSelectors removeSelector: #dirtyClasses!
TPureBehavior removeSelector: #classAndMethodFor:do:ifAbsent:!
TPureBehavior removeSelector: #localSelectors!
TPureBehavior removeSelector: #lookupSelector:!
TraitDescription removeSelector: #printHierarchy!
TraitBehavior removeSelector: #initialize!
TraitBehavior removeSelector: #forgetDoIts!
SendCaches removeSelector: #selfSenders!
LocatedMethodTest removeSelector: #setUp!
SendInfo removeSelector: #pushNewArrayOfSize:!
TCompilingBehavior removeSelector: #methodsDo:!
RequiresSpeedTestCase removeSelector: #prepareAllCaches!
TFileInOutDescription removeSelector: #printCategoryChunk:withStamp:on:!
TraitBehavior removeSelector: #subclassDefinerClass!
TraitsResource removeSelector: #c5!
TFileInOutDescription removeSelector: #putClassCommentToCondensedChangesFile:!
SendInfo removeSelector: #collectSends!
TCompilingBehavior removeSelector: #methodDictionary:!
TFileInOutDescription removeSelector: #fileOutChangedMessages:on:moveSource:toFile:!
TCompilingBehavior removeSelector: #whichSelectorsReferTo:special:byte:!
RequiredSelectorsChangesCalculator removeSelector: #decideParameters!
TCompilingBehavior removeSelector: #>>!
TraitFileOutTest removeSelector: #tearDown!
RequiredSelectorsChangesCalculator classSide removeSelector: #onModificationOf:withTargets:!
RequiredSelectorsChangesCalculator removeSelector: #classesToUpdate:!
Trait removeSelector: #name!
FixedIdentitySet classSide removeSelector: #withAll:!
TCopyingDescription removeSelector: #copyCategory:from:classified:!
TraitTest removeSelector: #testPrinting!
TraitsTestCase removeSelector: #tearDown!
TCopyingDescription removeSelector: #copy:from:!
RequiredSelectors removeSelector: #newCacheFor:!
Trait removeSelector: #removeFromSystem!
TraitTest removeSelector: #testLocalMethodWithSameCodeInTrait!
NanoTrait classSide removeSelector: #unloadBerneTraits!
TCompilingBehavior removeSelector: #copyOfMethodDictionary!
SystemTest removeSelector: #testAllSentMessages!
TCommentDescription removeSelector: #comment:stamp:!
TAccessingTraitCompositionBehavior removeSelector: #removeAlias:of:!
SendInfo removeSelector: #pushConsArrayWithElements:!
TBasicCategorisingDescription removeSelector: #reorganize!
TraitBehavior removeSelector: #addSelectorSilently:withMethod:!
SendInfo removeSelector: #popIntoTemporaryVariable:!
TPureBehavior removeSelector: #clearSendCaches!
TPureBehavior removeSelector: #withAllSuperclasses!
TraitMethodDescriptionTest removeSelector: #testArgumentNames!
TraitDescription removeSelector: #organization:!
ModelExtension classSide removeSelector: #initialize!
RequiresSpeedTestCase removeSelector: #performanceTestMorphMethodChangeScenario!
LocatedMethodTest removeSelector: #testArgumentNames!
TAccessingMethodDictDescription removeSelector: #addSelectorSilently:withMethod:!
SystemTest removeSelector: #testAllMethodsWithSourceString!
TraitDescription removeSelector: #linesOfCode!
LocatedMethod removeSelector: #argumentNames!
LocatedMethod removeSelector: #=!
SendInfo removeSelector: #pushReceiver!
TraitsResource removeSelector: #setUpTwoLevelRequiresFixture!
SendsInfoTest removeSelector: #pseudoCopy!
RequiredSelectorsChangesCalculator removeSelector: #storeOldRequirementsUnder:into:ignoreSet:!
TCompilingBehavior removeSelector: #compressedSourceCodeAt:!
TraitDescription removeSelector: #logMethodSource:forMethodWithNode:inCategory:withStamp:notifying:!
TTestingDescription removeSelector: #isClassSide!
QuickStack removeSelector: #size!
SendCaches removeSelector: #superSendersOf:!
TraitBehavior removeSelector: #sendCaches!
TraitsResource removeSelector: #t4:!
RequiredSelectors removeSelector: #newlyInteresting:!
TCommentDescription removeSelector: #commentFollows!
TCompilingBehavior removeSelector: #firstCommentAt:!
TraitsResource removeSelector: #setDirty!
TraitsTestCase removeSelector: #c5!
TraitBehavior removeSelector: #allSubclasses!
TraitsResource removeSelector: #c2:!
RequiredSelectorsChangesCalculator removeSelector: #removeRequirements:thatAreNotIn:!
ClassTrait removeSelector: #baseTrait!
RequiresTestCase removeSelector: #testSimpleCompositionContexts!
TimeMeasuringTest removeSelector: #workingCopyPredicate!
FixedIdentitySet removeSelector: #do:!
TCompilingBehavior removeSelector: #compileAll!
TCompilingBehavior removeSelector: #compiledMethodAt:ifAbsent:!
SendCaches removeSelector: #selfSenders:!
Behavior removeSelector: #providedSelectors!
Behavior removeSelector: #computeSelfSendersFromInheritedSelfSenders:localSelfSenders:!
SendInfo removeSelector: #blockReturnTop!
RequiresSpeedTestCase removeSelector: #performanceTestSwitchToMorphClassCategoryScenario!
TPureBehavior removeSelector: #formalHeaderPartsFor:!
RequiresSpeedTestCase removeSelector: #setUp!
TraitsResource removeSelector: #codeChangedEvent:!
Trait removeSelector: #name:traitComposition:methodDict:localSelectors:organization:!
FixedIdentitySet removeSelector: #add:!
RequiresTestCase removeSelector: #testAffectedClassesAndTraits!
ModelExtension removeSelector: #lostInterest:in:!
TPrintingDescription removeSelector: #printOn:!
TraitBehavior removeSelector: #allSuperclassesDo:!
SendInfo removeSelector: #popIntoReceiverVariable:!
TCompilingBehavior removeSelector: #sourceMethodAt:ifAbsent:!
ClassTrait removeSelector: #definitionST80!
SendInfo removeSelector: #method!
LocatedMethod removeSelector: #location:selector:!
LocatedMethod removeSelector: #hash!
TFileInOutDescription removeSelector: #printCategoryChunk:on:withStamp:priorMethod:!
TTransformationCompatibility removeSelector: #subject!
RequiresSpeedTestCase classSide removeSelector: #isAbstract!
SendCaches removeSelector: #selfSendersOf:!
SendInfo removeSelector: #jump:if:!
FixedIdentitySet classSide removeSelector: #new:!
RequirementsCache removeSelector: #addRequirement:!
SendCaches classSide removeSelector: #initializeAllInstances!
SendInfo removeSelector: #newEmptyStack!
SendInfo removeSelector: #doDup!
TApplyingOnClassSide removeSelector: #noteNewBaseTraitCompositionApplied:!
PureBehaviorTest removeSelector: #testClassesWithTraits!
TraitDescription removeSelector: #instanceSide!
QuickStack removeSelector: #grow!
TraitsResource removeSelector: #t4!
TraitsResource removeSelector: #c7:!
TraitTest removeSelector: #testPrintingClassSide!
ClassTrait removeSelector: #classTrait:!
Trait removeSelector: #initialize!
TFileInOutDescription removeSelector: #methodsFor:stamp:prior:!
TraitsResource class removeSelector: #resetIfDirty!
TPureBehavior removeSelector: #isDisabledSelector:!
Smalltalk removeClassNamed: #TimeMeasuringTest!
TCompilingBehavior removeSelector: #selectors!
PureBehaviorTest removeSelector: #testPropagationOfChangesInTraitsToAliasMethodsWhenOriginalMethodIsExcluded!
QuickStack removeSelector: #replaceFrom:to:with:startingAt:!
ClassTraitTest removeSelector: #testChanges!
TFileInOutDescription removeSelector: #moveChangesTo:!
TAccessingTraitCompositionBehavior removeSelector: #addToComposition:!
TraitComposition removeSelector: #traitProvidingSelector:!
Trait removeSelector: #baseTrait!
Behavior removeSelector: #classAndMethodFor:do:ifAbsent:!
TimeMeasuringTest removeSelector: #debug!
TraitCompositionTest removeSelector: #testAliasCompositions!
TimeMeasuringTest removeSelector: #runCase!
RequiresTestCase removeSelector: #loseInterestsFor:!
RequiredSelectorsChangesCalculator removeSelector: #modifiedBehaviors!
TraitCompositionTest removeSelector: #testPrinting!
ModelExtension classSide removeSelector: #doWithTemporaryInstance:!
RequiresTestCase removeSelector: #testTwoLevelRequiresWithUnalignedSuperSends!
TraitsTestCase removeSelector: #t4!
TraitTest removeSelector: #testAddAndRemoveMethodsFromSubtraits!
TFileInOutDescription removeSelector: #fileOutOrganizationOn:!
QuickStack removeSelector: #last!
FixedIdentitySet removeSelector: #at:!
Trait removeSelector: #classTrait:!
TPureBehavior removeSelector: #requirements!
RequiresTestCase removeSelector: #testSins!
PureBehaviorTest removeSelector: #testSuperSends!
TPureBehavior removeSelector: #deepCopy!
TFileInOutDescription removeSelector: #fileOutOn:!
TraitCompositionTest removeSelector: #testSum!
TPureBehavior removeSelector: #obsolete!
RequiredSelectorsChangesCalculator removeSelector: #addUpdatePathTo:from:!
ClassTraitTest removeSelector: #testInitialization!
QuickStack removeSelector: #initialize!
ClassTrait removeSelector: #uses:!
ModelExtension removeSelector: #noteInterestOf:inAll:!
Trait removeSelector: #removeFromSystem:!
TraitsResource removeSelector: #isDirty!
TCompilingBehavior removeSelector: #parserClass!
RequiresSpeedTestCase removeSelector: #classesInCategories:!
PureBehaviorTest removeSelector: #testOwnMethodsTakePrecedenceOverTraitsMethods!
TraitsResource removeSelector: #c2!
TComposingDescription removeSelector: #@!
RequiresTestCase removeSelector: #for:classesComposedWith:!
TCompilingDescription removeSelector: #reformatAll!
FixedIdentitySet classSide removeSelector: #new!
SendsInfoTest removeSelector: #testClip!
RequiredSelectors removeSelector: #calculateForClass:!
TraitDescription removeSelector: #category:!
TCompilingBehavior removeSelector: #bindingOf:!
TraitsResource removeSelector: #categoryName!
TraitBehavior removeSelector: #updateRequires!
TTraitsCategorisingDescription removeSelector: #noteRecategorizedSelectors:oldComposition:!
TBehaviorCategorization removeSelector: #category!
TraitsTestCase class removeSelector: #resources!
TPureBehavior removeSelector: #formalParametersAt:!
TPureBehavior removeSelector: #changeRecordsAt:!
Trait removeSelector: #setName:andRegisterInCategory:environment:!
Trait class removeSelector: #named:uses:category:!
TTraitsCategorisingDescription removeSelector: #applyChangesOfNewTraitCompositionReplacing:!
RequiresTestCase removeSelector: #testRequiresOfTraitInContextOfClass!
RequiredSelectors removeSelector: #newlyInterestingClasses:!
TFileInOutDescription removeSelector: #fileOutCategory:!
RequiresTestCase removeSelector: #setUp!
Trait removeSelector: #name:!
TraitBehavior removeSelector: #precodeCommentOrInheritedCommentFor:!
Trait removeSelector: #binding!
SendInfo removeSelector: #top!
LocatedMethodTest removeSelector: #testBinarySelectors!
TTransformationCompatibility removeSelector: #aliasesForSelector:!
SendInfo removeSelector: #popIntoLiteralVariable:!
SendsInfoTest removeSelector: #clipRect:!
TraitsResource removeSelector: #t1:!
RequiresTestCase removeSelector: #testExlcusionInTraits!
TPureBehavior removeSelector: #standardMethodHeaderFor:!
Smalltalk removeClassNamed: #SendCachePerformanceTest!
TraitCompositionTest removeSelector: #testCompositionFromArray!
TCopyingDescription removeSelector: #copy:from:classified:!
TraitBehavior removeSelector: #users!
RequiresTestCase classSide removeSelector: #isAbstract!
TAccessingTraitCompositionBehavior removeSelector: #traitOrClassOfSelector:!
PureBehaviorTest removeSelector: #testChangeSuperclass!
TraitsTestCase removeSelector: #c2!
TraitBehavior removeSelector: #lookupSelector:!
TPureBehavior removeSelector: #hasTraitComposition!
TCompilingDescription removeSelector: #reformatMethodAt:!
TPureBehavior removeSelector: #isProvidedSelector:!
Smalltalk removeClassNamed: #TraitsTestCase!
TraitTest removeSelector: #testAddAndRemoveMethodsInClassOrTrait!
TPureBehavior removeSelector: #removeSelector:!
SendInfo removeSelector: #pushClosureCopyNumCopiedValues:numArgs:blockSize:!
QuickStack removeSelector: #removeLast!
TBasicCategorisingDescription removeSelector: #whichCategoryIncludesSelector:!
TCommentDescription removeSelector: #commentStamp:!
TFileInOutDescription removeSelector: #printCategoryChunk:on:priorMethod:!
SendCaches removeSelector: #addSelfSender:of:!
TraitDescription removeSelector: #notifyUsersOfRecategorizedSelector:from:to:!
SendInfo removeSelector: #superSentSelectors!
TPureBehavior removeSelector: #includesBehavior:!
TCompilingBehavior removeSelector: #includesSelector:!
LocatedMethod removeSelector: #selector!
Smalltalk removeClassNamed: #ATestCase!
TBasicCategorisingDescription removeSelector: #errorCategoryName!
TraitBehavior removeSelector: #allSubclassesDo:!
TCompilingDescription removeSelector: #noteCompilationOf:meta:!
SendInfo removeSelector: #doPop!
Smalltalk removeClassNamed: #TraitFileOutTest!
SendInfo removeSelector: #mergeStacks!
TFileInOutDescription removeSelector: #methodsFor:priorSource:inFile:!
RequiresSpeedTestCase removeSelector: #performanceTestFileInScenario!
SendInfo removeSelector: #pop!
TCompilingDescription removeSelector: #compile:notifying:!
TraitFileOutTest removeSelector: #categoryName!
Behavior removeSelector: #findSelfSendersOf:unreachable:noInheritedSelfSenders:!
TUpdateTraitsBehavior removeSelector: #setTraitComposition:!
PureBehaviorTest removeSelector: #testLocalSelectors!
RequiredSelectors removeSelector: #for:!
TCompilingDescription removeSelector: #wantsRecompilationProgressReported!
TraitsResource removeSelector: #c6!
TimeMeasuringTest removeSelector: #versionInfoForWorkingCopiesThat:!
TraitsTestCase removeSelector: #categoryName!
TraitDescription removeSelector: #isUniClass!
TraitsResource removeSelector: #t6:!
QuickStack removeSelector: #removeAll!
PureBehaviorTest removeSelector: #testUpdateWhenLocalMethodRemoved!
TraitTest removeSelector: #testRemoveFromSystem!
Behavior removeSelector: #updateRequiredStatusFor:inSubclasses:parentSelfSenders:providedInParent:noInheritedSelfSenders:!
TraitsResource removeSelector: #c4:!
RequiresSpeedTestCase removeSelector: #touchParseNodeComment!
Smalltalk removeClassNamed: #SendCaches!
LocatedMethod removeSelector: #source!
TraitDescription removeSelector: #hasClassTrait!
TraitsResource removeSelector: #t1!
FixedIdentitySet removeSelector: #fixCollisionsFrom:!
TraitTest removeSelector: #testAllClassVarNames!
FixedIdentitySet classSide removeSelector: #defaultSize!
TPureBehavior removeSelector: #methodHeaderFor:!
RequiredSelectorsChangesCalculator removeSelector: #traitsToUpdate!
TPureBehavior removeSelector: #sourceCodeTemplate!
TFileInOutDescription removeSelector: #printMethodChunk:withPreamble:on:moveSource:toFile:!
TPureBehavior removeSelector: #longPrintOn:!
SendInfo removeSelector: #blockReturn!
SendInfo removeSelector: #pushConstant:!
FixedIdentitySet removeSelector: #printOn:!
SendInfo removeSelector: #pop:!
RequiresTestCase removeSelector: #testTwoLevelRequiresWithUnalignedSuperSendsStartLate!
LocatedMethod removeSelector: #isBinarySelector!
RequiredSelectorsChangesCalculator removeSelector: #traitsToUpdate:!
RequiredSelectorsChangesCalculator removeSelector: #setFoundRequirements:!
SendCaches removeSelector: #properlyInitialize!
Trait removeSelector: #environment:!
TCompilingBehavior removeSelector: #recompile:from:!
TraitBehavior removeSelector: #allSuperclasses!
PureBehaviorTest removeSelector: #testRemovingMethods!
PureBehaviorTest removeSelector: #testIsAliasSelector!
TCompilingBehavior removeSelector: #compile:notifying:!
ModelExtension removeSelector: #lostInterest:inAll:!
TraitBehavior removeSelector: #sharedPools!
TraitTest removeSelector: #testMarkerMethods!
SendInfo removeSelector: #pushReceiverVariable:!
TPureBehavior removeSelector: #basicLocalSelectors:!
TraitMethodDescriptionTest removeSelector: #testConflictMethodCreation!
TraitsTestCase removeSelector: #t1!
TTraitsCategorisingDescription removeSelector: #noteRecategorizedSelector:from:to:!
Smalltalk removeClassNamed: #FixedIdentitySet!
TCompilingBehavior removeSelector: #spaceUsed!
SendInfo removeSelector: #pushTemporaryVariable:!
SendInfo removeSelector: #interpretNextInstructionFor:!
RequiredSelectorsChangesCalculator removeSelector: #rootClasses!
LocatedMethodTest removeSelector: #testEquality!
RequiredSelectorsChangesCalculator removeSelector: #rootClasses:!
SendCaches removeSelector: #allSentSelectorsAndSendersDo:!
TCompilingDescription removeSelector: #acceptsLoggingOfCompilation!
TCompilingBehavior removeSelector: #selectorsAndMethodsDo:!
TraitBehavior removeSelector: #whichClassIncludesSelector:!
TCompilingBehavior removeSelector: #removeSelector:!
RequiredSelectorsChangesCalculator removeSelector: #findRootsAndRoutes!
TraitsTestCase removeSelector: #c6!
SendInfo removeSelector: #emptyStack!
FullMERequiresSpeedTestCase removeSelector: #getInformationFor:!
Trait class removeSelector: #defaultEnvironment!
Trait removeSelector: #isObsolete!
TimeMeasuringTest removeSelector: #initialize!
TUpdateTraitsBehavior removeSelector: #removeTraitSelector:!
TCompilingBehavior removeSelector: #evaluatorClass!
Smalltalk removeClassNamed: #ClassTraitTest!
TAccessingTraitCompositionBehavior removeSelector: #isAliasSelector:!
Smalltalk removeClassNamed: #LocalSends!
TraitCompositionTest removeSelector: #testSumWithParenthesis!
SendInfo removeSelector: #addClassSentSelector:!
PureBehaviorTest removeSelector: #testPropagationOfChangesInTraits!
TraitCompositionTest removeSelector: #testClassMethodsTakePrecedenceOverTraitsMethods!
SendInfo removeSelector: #push:!
TPureBehavior removeSelector: #storeLiteral:on:!
LocatedMethod removeSelector: #location!
TCompilingBehavior removeSelector: #addSelector:withMethod:notifying:!
TFileInOutDescription removeSelector: #printCategoryChunk:on:!
TPureBehavior removeSelector: #defaultNameStemForInstances!
TraitsResource removeSelector: #setUpTranslatingRequiresFixture!
SendInfo removeSelector: #method:pc:!
CodeModelExtension removeSelector: #classChanged:!
TraitDescription removeSelector: #fileOut!
TCompilingBehavior removeSelector: #recompileChanges!
FixedIdentitySet removeSelector: #scanFor:!
TBasicCategorisingDescription removeSelector: #removeCategory:!
TPureBehavior removeSelector: #emptyMethodDictionary!
TPureBehavior removeSelector: #traitCompositionString!
SendsInfoTest removeSelector: #testClassBranch!
Trait removeSelector: #applyChangesOfNewTraitCompositionReplacing:!
Behavior removeSelector: #updateRequiredStatusFor:inSubclasses:parentSelfSenders:providedInParent:noInheritedSelfSenders:accumulatingInto:!
SendCaches removeSelector: #superSentSelectorsAndSendersDo:!
Trait removeSelector: #isValidTraitName:!
TBasicCategorisingDescription removeSelector: #zapOrganization!
TTestingDescription removeSelector: #isInstanceSide!
TimeMeasuringTest removeSelector: #reportPerformance!
RequiresOriginalTestCase classSide removeSelector: #updateRequiredStatusFor:in:!
FixedIdentitySet classSide removeSelector: #arraySizeForCapacity:!
TTraitsCategorisingDescription removeSelector: #updateOrganizationSelector:oldCategory:newCategory:!
TComposingDescription removeSelector: #+!
SendsInfoTest removeSelector: #assert:sendsIn:are:!
TraitDescription removeSelector: #classTrait!
TApplyingOnClassSide removeSelector: #assertConsistantCompositionsForNew:!
TraitsResource removeSelector: #t5!
ClassTraitTest removeSelector: #testConflictsAliasesAndExclusions!
TraitDescription removeSelector: #obsolete!
TCompilingBehavior removeSelector: #defaultMethodTrailer!
TCompilingBehavior removeSelector: #selectorsWithArgs:!
TCopyingDescription removeSelector: #copyAll:from:classified:!
TPureBehavior removeSelector: #deregisterLocalSelector:!
TPureBehavior removeSelector: #superRequirements!
RequiredSelectorsChangesCalculator removeSelector: #possiblyAffectedForRoot:!
TraitBehavior removeSelector: #classVarNames!
RequiredSelectors removeSelector: #dirtyWithChange:!
TCommentDescription removeSelector: #classComment:!
TraitDescription removeSelector: #notifyOfRecategorizedSelector:from:to:!
TTraitsCategorisingDescription removeSelector: #notifyOfRecategorizedSelector:from:to:!
PureBehaviorTest removeSelector: #testTraitCompositionModifications!
Smalltalk removeClassNamed: #SystemTest!
TUpdateTraitsBehavior removeSelector: #applyChangesOfNewTraitCompositionReplacing:!
TBasicCategorisingDescription removeSelector: #methodReferencesInCategory:!
TraitMethodDescriptionTest removeSelector: #testConflictingCategories!
FixedIdentitySet classSide removeSelector: #with:with:!
TPureBehavior removeSelector: #selfSentSelectorsFromSelectors:!
RequiredSelectors removeSelector: #lostOneInterestIn:!
ClassTrait removeSelector: #hasClassTrait!
FixedIdentitySet removeSelector: #size!
SendCaches removeSelector: #superSenders:!
ModelExtension classSide removeSelector: #current!
SendsInfoTest removeSelector: #testClipRect!
FixedIdentitySet classSide removeSelector: #with:with:with:with:!
TraitBehavior removeSelector: #recompile:from:!
TraitsTestCase removeSelector: #t5!
TraitsResource removeSelector: #t3:!
TCompilingBehavior removeSelector: #compiledMethodAt:!
TCompilingDescription removeSelector: #compile:classified:notifying:!
SendInfo removeSelector: #pushLiteralVariable:!
SendInfo removeSelector: #storeIntoRemoteTemp:inVectorAt:!
FullMERequiresSpeedTestCase removeSelector: #loseInterestInClasses:!
TCompilingBehavior removeSelector: #decompilerClass!
SendInfo removeSelector: #tallySelfSendsFor:!
ModelExtension classSide removeSelector: #current:!
Behavior removeSelector: #translateReachableSelfSenders:translations:!
SendCaches removeSelector: #selfSentSelectorsAndSendersDo:!
FixedIdentitySet classSide removeSelector: #readonlyWithAll:notIn:!
TCompilingDescription removeSelector: #compile:classified:withStamp:notifying:logSource:!
ClassTraitTest removeSelector: #testUsers!
TraitDescription removeSelector: #variablesAndOffsetsDo:!
TraitBehavior removeSelector: #removeSelector:!
TPureBehavior removeSelector: #canUnderstand:!
SystemTest removeSelector: #testAllClassesAndTraits!
Trait removeSelector: #hasClassTrait!
RequiredSelectorsChangesCalculator removeSelector: #shouldProcess:forSinsIn:!
TAccessingMethodDictDescription removeSelector: #addAndClassifySelector:withMethod:inProtocol:notifying:!
TraitBehavior removeSelector: #inheritsFrom:!
TraitBehavior removeSelector: #isTrait!
TraitsResource removeSelector: #c3!
Smalltalk removeClassNamed: #SendInfo!
TTransformationCompatibility removeSelector: #changedSelectorsComparedTo:!
PureBehaviorTest removeSelector: #traitOrClassOfSelector!
SendsInfoTest removeSelector: #testSuperBranch!
TraitsResource removeSelector: #c1:!
TraitDescription removeSelector: #spaceUsed!
TPureBehavior removeSelector: #environment!
TPureBehavior removeSelector: #traitComposition:!
RequiresTestCase removeSelector: #testExclusionWithAliasing!
TCopyingDescription removeSelector: #copyAllCategoriesFrom:!
Smalltalk removeClassNamed: #RequiresOriginalTestCase!
TFileInOutDescription removeSelector: #fileOutCategory:asHtml:!
FixedIdentitySet removeSelector: #grow!
TCompilingBehavior removeSelector: #whichSelectorsReferTo:!
Trait removeSelector: #basicCategory!
SendInfo removeSelector: #selfSentSelectors!
TraitBehavior removeSelector: #hasTraitComposition!
TTransformationCompatibility removeSelector: #allAliasesDict!
ClassTrait removeSelector: #classTrait!
TraitsResource removeSelector: #c6:!
TCompilingBehavior removeSelector: #recompileNonResidentMethod:atSelector:from:!
TFileInOutDescription removeSelector: #methods!
TFileInOutDescription removeSelector: #fileOutMethod:!
TAccessingMethodDictDescription removeSelector: #addSelector:withMethod:notifying:!
TPureBehavior removeSelector: #traitCompositionIncludes:!
TCompilingDescription removeSelector: #compile:classified:withStamp:notifying:!
Smalltalk removeClassNamed: #PureBehaviorTest!
RequiresTestCase removeSelector: #testOneLevelRequires!
TAccessingMethodDictDescription removeSelector: #removeSelector:!
TraitsTestCase removeSelector: #c3!
SendsInfoTest removeSelector: #classBranch!
TraitsTestCase removeSelector: #assertPrints:like:!
TCompilingBehavior removeSelector: #compile:classified:notifying:trailer:ifFail:!
TBehaviorCategorization removeSelector: #category:!
TraitMethodDescriptionTest removeSelector: #testInitialize!
ModelExtension classSide removeSelector: #isAbstract!
RequiredSelectorsChangesCalculator removeSelector: #removeRequirements:thatAreNotIn:ifIn:!
SendInfo removeSelector: #storeIntoLiteralVariable:!
FixedIdentitySet removeSelector: #remove:ifAbsent:!
RequirementsCache removeSelector: #requirements!
ModelExtension removeSelector: #initialize!
TraitTest removeSelector: #testUsers!
TCompilingBehavior removeSelector: #compress!
CodeModelExtension removeSelector: #cacheFor:!
TraitTest removeSelector: #testTraitMethodSelector!
SendsInfoTest removeSelector: #testPseudoCopy!
PureBehaviorTest removeSelector: #testMethodCategoryReorganization!
TraitTest removeSelector: #testTraitMethodClass!
RequiresTestCase removeSelector: #noteInterestsForAll!
Smalltalk removeClassNamed: #CodeModelExtension!
SendCachePerformanceTest removeSelector: #performanceTestBaseline!
TAccessingTraitCompositionBehavior removeSelector: #addExclusionOf:to:!
TraitCompositionTest removeSelector: #testInvalidComposition!
Trait removeSelector: #classTrait!
TraitDescription removeSelector: #isTestCase!
SendInfo removeSelector: #methodReturnTop!
TPureBehavior removeSelector: #traitComposition!
TPureBehavior removeSelector: #methodDict:!
TraitBehavior removeSelector: #basicLocalSelectors:!
TraitsResource removeSelector: #c7!
TFileInOutDescription removeSelector: #fileOutCategory:on:moveSource:toFile:!
TFileInOutDescription removeSelector: #methodsFor:!
TPureBehavior removeSelector: #copy!
RequiresSpeedTestCase removeSelector: #performanceTestMethodChangeScenario!
TraitsResource removeSelector: #createdClassesAndTraits!
TPureBehavior removeSelector: #traitTransformations!
TraitDescription removeSelector: #isBaseTrait!
TraitDescription removeSelector: #theMetaClass!
TraitsResource removeSelector: #t2!
Trait removeSelector: #requirements!
TPureBehavior removeSelector: #ensureLocalSelectors!
Trait removeSelector: #obsolete!
TraitCompositionTest removeSelector: #testEmptyTrait!
TimeMeasuringTest removeSelector: #setToDebug!
Behavior removeSelector: #allTraits!
QuickIntegerDictionary removeSelector: #removeKey:!
TCompilingBehavior removeSelector: #compile:!
ClassTrait removeSelector: #traitComposition:methodDict:localSelectors:organization:!
TCompilingBehavior removeSelector: #thoroughWhichSelectorsReferTo:special:byte:!
TraitTest removeSelector: #testExplicitRequirement!
TraitDescription removeSelector: #traitVersion!
TTestingDescription removeSelector: #isMeta!
RequirementsCache removeSelector: #removeRequirement:!
TFileInOutDescription removeSelector: #fileOutChangedMessages:on:!
RequiredSelectorsChangesCalculator removeSelector: #targetBehaviors:!
SendCaches removeSelector: #addClassSender:of:!
FixedIdentitySet classSide removeSelector: #withAll:notIn:!
Behavior removeSelector: #classesComposedWithMe!
TimeMeasuringTest removeSelector: #measure:!
TCompilingBehavior removeSelector: #methodDictionary!
TraitBehavior removeSelector: #removeFromTraitCompositionOfUsers!
TraitsTestCase removeSelector: #createdClassesAndTraits!
SendInfo removeSelector: #pushRemoteTemp:inVectorAt:!
ATestCase removeSelector: #testRequirement!
TPureBehavior removeSelector: #hasRequiredSelectors!
SendsInfoTest removeSelector: #superBranch!
TraitsTestCase removeSelector: #t2!
TraitDescription removeSelector: #addExclusionOf:!
TCompilingBehavior removeSelector: #removeSelectorSilently:!
TPureBehavior removeSelector: #sendCaches:!
SendInfo removeSelector: #storeIntoTemporaryVariable:!
Behavior removeSelector: #computeTranslationsAndUpdateUnreachableSet:!
FixedIdentitySet removeSelector: #at:put:!
TraitTest removeSelector: #testRequirement!
SystemTest removeSelector: #testClassFromPattern!
LocatedMethod classSide removeSelector: #location:selector:!
Behavior removeSelector: #withInheritanceTraitCompositionIncludes:!
RequiredSelectorsChangesCalculator removeSelector: #findOriginalSins!
FixedIdentitySet removeSelector: #capacity!
SendInfo removeSelector: #home!
TPureBehavior removeSelector: #registerLocalSelector:!
RequiredSelectorsChangesCalculator removeSelector: #storeRequirementsUnder:for:in:!
TraitsTestCase removeSelector: #c7!
TCompilingBehavior removeSelector: #decompile:!
TPureBehavior removeSelector: #name!
TTransformationCompatibility removeSelector: #trait!
RequiresTestCase removeSelector: #testTwoLevelRequires!
SendCaches removeSelector: #classSentSelectorsAndSendersDo:!
SendInfo removeSelector: #assert:because:!
TFileInOutDescription removeSelector: #methodsFor:stamp:!
TAccessingTraitCompositionBehavior removeSelector: #traitsProvidingSelector:!
TPureBehavior removeSelector: #purgeLocalSelectors!
TCompilingBehavior removeSelector: #recompile:!
FixedIdentitySet removeSelector: #isFull!
QuickIntegerDictionary removeSelector: #includesKey:!
RequiresSpeedTestCase removeSelector: #decideInterestingClasses!
RequiredSelectorsChangesCalculator removeSelector: #modifiedBehaviors:!
TPureBehavior removeSelector: #canZapMethodDictionary!
Smalltalk removeClassNamed: #ModelExtension!
TAccessingTraitCompositionBehavior removeSelector: #isLocalAliasSelector:!
RequiredSelectors removeSelector: #newlyInterestingClasses!
SendInfo removeSelector: #pushActiveContext!
TraitsResource removeSelector: #t6!
FixedIdentitySet removeSelector: #removeAll!
TraitBehavior removeSelector: #zapAllMethods!
TPureBehavior removeSelector: #methodDict!
Smalltalk removeClassNamed: #LocatedMethodTest!
RequiredSelectorsChangesCalculator removeSelector: #sinsIn:!
TraitDescription removeSelector: #organization!
RequiredSelectorsChangesCalculator removeSelector: #noteRoot:possiblyAffected:!
TraitDescription removeSelector: #printUsersOf:on:level:!
Smalltalk removeClassNamed: #RequiredSelectorsChangesCalculator!
TraitDescription removeSelector: #classCommentBlank!
TAccessingMethodDictDescription removeSelector: #noteAddedSelector:meta:!
RequiredSelectors removeSelector: #classesOfInterest!
PureBehaviorTest removeSelector: #testPropagationOfChangesInTraitsToAliasMethods!
TraitsResource removeSelector: #t5:!
TCommentDescription removeSelector: #hasComment!
Behavior removeSelector: #requiredSelectorsCache!
PureBehaviorTest removeSelector: #testPropagationWhenTraitCompositionModifications!
TCompilingBehavior removeSelector: #implementsVocabulary:!
TraitBehavior removeSelector: #instVarNames!
TraitBehavior removeSelector: #instSize!
TraitBehavior removeSelector: #classesComposedWithMe!
TCommentDescription removeSelector: #commentStamp:prior:!
SendInfo removeSelector: #prepareState!
Smalltalk removeClassNamed: #TraitCompositionTest!
ClassTrait removeSelector: #isBaseTrait!
FixedIdentitySet classSide removeSelector: #with:!
TraitsTestCase removeSelector: #testChangeSuperclass!
RequirementsCache removeSelector: #newRequirementsObject!
RequiresSpeedTestCase removeSelector: #performanceTestFullRequires!
TPureBehavior removeSelector: #allSelectors!
RequiresSpeedTestCase removeSelector: #touchMorphStep!
RequiredSelectors removeSelector: #ensureClean!
TraitDescription removeSelector: #notifyUsersOfChangedSelectors:!
Trait class removeSelector: #initialize!
Smalltalk removeClassNamed: #ProvidedSelectors!
ClassTrait removeSelector: #baseTrait:!
RequiredSelectorsChangesCalculator removeSelector: #targetBehaviors!
LocatedMethod removeSelector: #category!
TCompilingBehavior removeSelector: #basicAddSelector:withMethod:!
TPureBehavior removeSelector: #basicLocalSelectors!
TCompilingBehavior removeSelector: #firstPrecodeCommentFor:!
TCommentDescription removeSelector: #comment:!
FixedIdentitySet classSide removeSelector: #with:with:with:with:with:!
SendInfo removeSelector: #addSuperSentSelector:!
Smalltalk removeClassNamed: #QuickStack!
TComposingDescription removeSelector: #addCompositionOnLeft:!
TraitsResource removeSelector: #c3:!
SendCaches removeSelector: #printOn:!
SendsInfoTest removeSelector: #clip!
TCompilingBehavior removeSelector: #sourceCodeAt:ifAbsent:!
TraitsResource removeSelector: #setUpTrivialRequiresFixture!
PureBehaviorTest removeSelector: #testTraitCompositionWithCycles!
Trait removeSelector: #isBaseTrait!
ClassTrait removeSelector: #baseClass:traitComposition:methodDict:localSelectors:organization:!
QuickStack removeSelector: #setTop:!
TCompilingDescription removeSelector: #compileSilently:classified:notifying:!
Smalltalk removeClassNamed: #RequiresSpeedTestCase!
TraitsResource removeSelector: #setUp!
TraitsTestCase removeSelector: #t6!
TraitsResource removeSelector: #c4!
SendsInfoTest removeSelector: #testBranch!
TraitCompositionTest removeSelector: #testProvidedMethodBindingsWithConflicts!
RequiredSelectors removeSelector: #classChanged:!
ProvidedSelectors removeSelector: #newCacheFor:!
Smalltalk removeClassNamed: #TraitMethodDescriptionTest!
FixedIdentitySet removeSelector: #rehash!
RequiredSelectorsChangesCalculator removeSelector: #doWork!
TraitBehavior removeSelector: #traitComposition:!
Trait removeSelector: #fileOutOn:moveSource:toFile:!
RequiresSpeedTestCase removeSelector: #performanceTestParseNodeMethodChangeScenario!
RequiresTestCase removeSelector: #noteInterestsFor:!
TraitsResource removeSelector: #c8:!
RequirementsCache removeSelector: #superRequirements!
ModelExtension removeSelector: #haveInterestsIn:!
Trait removeSelector: #rename:!
TComposingDescription removeSelector: #asTraitComposition!
LocalSends removeSelector: #newCacheFor:!
TPureBehavior removeSelector: #ultimateSourceCodeAt:ifAbsent:!
FixedIdentitySet removeSelector: #select:!
SendsInfoTest removeSelector: #tell!
TUpdateTraitsBehavior removeSelector: #notifyUsersOfChangedSelector:!
SendInfo removeSelector: #send:super:numArgs:!
ClassTrait class removeSelector: #for:!
TCompilingDescription removeSelector: #compileSilently:classified:!
SendCaches removeSelector: #addSuperSender:of:!
TraitBehavior removeSelector: #methodDict:!
TCompilingDescription removeSelector: #doneCompiling!
TraitBehavior removeSelector: #traitComposition!
TraitBehavior removeSelector: #subclasses!
ClassTrait removeSelector: #compile:classified:withStamp:notifying:logSource:!
TraitDescription removeSelector: #isClassTrait!
TCompilingBehavior removeSelector: #crossReference!
SendInfo removeSelector: #addSelfSentSelector:!
SendInfo removeSelector: #printOn:!
Trait class removeSelector: #newTemplateIn:!
RequiredSelectors removeSelector: #registerLifelongInterestOf:inAll:!
TraitFileOutTest removeSelector: #testRemovingMethods!
TPrintingDescription removeSelector: #printOnStream:!
TCommentDescription removeSelector: #comment!
Smalltalk removeClassNamed: #TraitTest!
TraitFileOutTest removeSelector: #testFileOutTrait!
TPureBehavior removeSelector: #setRequiredStatusOf:to:!
Smalltalk removeClassNamed: #LocatedMethod!
TCompilingBehavior removeSelector: #addSelector:withMethod:!
ClassTrait removeSelector: #initializeFrom:!
Smalltalk removeClassNamed: #TraitsResource!
TraitFileOutTest removeSelector: #setUp!
FullMERequiresSpeedTestCase removeSelector: #noteInterestInClasses:!
TraitMethodDescriptionTest removeSelector: #testCategories!
RequiresSpeedTestCase removeSelector: #touchObjectHalt!
Trait class removeSelector: #named:uses:category:env:!
TraitFileOutTest removeSelector: #testFileOutCategory!
TraitsTestCase removeSelector: #c4!
FixedIdentitySet removeSelector: #=!
Trait removeSelector: #fileOutAsHtml:!
RequiresTestCase removeSelector: #requiredMethodsForTrait:!
Trait class removeSelector: #new!
RequiredSelectorsChangesCalculator removeSelector: #classesToUpdate!
SendInfo removeSelector: #atMergePoint!
RequiredSelectors removeSelector: #noteInterestOf:inAll:!
TCompilingBehavior removeSelector: #compileAllFrom:!
Smalltalk removeClassNamed: #RequirementsCache!
PureBehaviorTest removeSelector: #testIsLocalAliasSelector!
RequiredSelectorsChangesCalculator removeSelector: #findAffectedTraitsFrom:!
SendInfo removeSelector: #storeIntoReceiverVariable:!
TPureBehavior removeSelector: #includesLocalSelector:!
TPureBehavior removeSelector: #addSelectorSilently:withMethod:!
TraitsResource removeSelector: #createClassNamed:superclass:uses:!
TCompilingBehavior removeSelector: #sourceCodeAt:!
CodeModelExtension classSide removeSelector: #isAbstract!
TraitsResource removeSelector: #t2:!
RequiresTestCase removeSelector: #selfSentSelectorsInTrait:!
Behavior removeSelector: #requiredSelectors!
CodeModelExtension removeSelector: #initialize!
TraitDescription removeSelector: #version!
TraitsResource removeSelector: #c8!
Smalltalk removeClassNamed: #FullMERequiresSpeedTestCase!
TraitBehavior removeSelector: #addUser:!
Trait removeSelector: #fileOutOn:moveSource:toFile:initializing:!
RequiresTestCase removeSelector: #updateRequiredStatusFor:in:!
RequiresTestCase removeSelector: #setUpHierarchy!
TimeMeasuringTest removeSelector: #openDebuggerOnFailingTestMethod!
TPureBehavior removeSelector: #sendCaches!
TCompilingDescription removeSelector: #wantsChangeSetLogging!
Trait class removeSelector: #allTraitsDo:!
TCopyingDescription removeSelector: #copyCategory:from:!
RequiresTestCase removeSelector: #testStandAloneTrait!
SendsInfoTest removeSelector: #branch!
TraitsResource removeSelector: #t3!
TraitDescription removeSelector: #theNonMetaClass!
ModelExtension removeSelector: #noteInterestOf:in:!
Smalltalk removeClassNamed: #SendsInfoTest!
TFileInOutDescription removeSelector: #definition!
TraitsTestCase removeSelector: #createClassNamed:superclass:uses:!
TUpdateTraitsBehavior removeSelector: #notifyUsersOfChangedSelectors:!
RequiresTestCase removeSelector: #requiredMethodsOfTrait:inContextOf:!
TraitBehavior removeSelector: #allClassVarNames!
QuickStack classSide removeSelector: #new!
TCompilingBehavior removeSelector: #hasMethods!
TTransformationCompatibility removeSelector: #collectMethodsFor:into:!
RequiresSpeedTestCase removeSelector: #workingCopyPredicate!
ClassTrait removeSelector: #initializeWithBaseTrait:!
SendInfo removeSelector: #methodReturnReceiver!
RequiresTestCase removeSelector: #selfSentSelectorsInTrait:fromSelectors:!
FixedIdentitySet removeSelector: #initializeCapacity:!
TPureBehavior removeSelector: #prettyPrinterClass!
SendInfo classSide removeSelector: #neverRequiredSelectors!
ProvidedSelectors removeSelector: #isSelector:providedIn:!
TraitsTestCase removeSelector: #resourceClassesAndTraits!
FixedIdentitySet removeSelector: #addAll:notIn:!
Trait removeSelector: #environment!
ClassTrait removeSelector: #copy!
TimeMeasuringTest removeSelector: #versionInformation!
Behavior removeSelector: #updateRequiredStatusFor:inSubclasses:!
FixedIdentitySet removeSelector: #hash!
TraitDescription removeSelector: #category!
TCopyingDescription removeSelector: #copyAll:from:!
TUpdateTraitsBehavior removeSelector: #setTraitCompositionFrom:!
Smalltalk removeClassNamed: #RequiresTestCase!
TPureBehavior removeSelector: #literalScannedAs:notifying:!
QuickStack removeSelector: #addLast:!
TraitsResource removeSelector: #createTraitNamed:uses:!
TraitsTestCase removeSelector: #t3!
TraitBehavior removeSelector: #removeUser:!
TraitDescription removeSelector: #classSide!
TCompilingBehavior removeSelector: #sourceMethodAt:!
TCompilingBehavior removeSelector: #basicRemoveSelector:!
LocatedMethod removeSelector: #method!
TCompilingBehavior removeSelector: #binding!
TComposingDescription removeSelector: #addOnTheLeft:!
CodeModelExtension removeSelector: #clearOut:!
FixedIdentitySet classSide removeSelector: #with:with:with:with:with:with:!
TCompilingBehavior removeSelector: #compilerClass!
TraitBehavior removeSelector: #allInstVarNames!
TraitsTestCase removeSelector: #c8!
TraitDescription removeSelector: #allMethodsInCategory:!
SendCaches removeSelector: #superSenders!
FixedIdentitySet classSide removeSelector: #sizeFor:!
TraitBehavior removeSelector: #methodDict!
ClassTrait removeSelector: #isClassTrait!
QuickStack removeSelector: #isEmpty!
TraitsResource removeSelector: #c5:!
TraitBehavior removeSelector: #requiredSelectors!
TraitTest removeSelector: #testCompositionCopy!
TCompilingBehavior removeSelector: #addSelectorSilently:withMethod:!
Trait class removeSelector: #newTraitComposition!
TraitsResource removeSelector: #c1!
RequiredSelectorsChangesCalculator removeSelector: #selectorsToUpdateIn:!
SendCaches removeSelector: #initialize!
Trait removeSelector: #copy!
SendCaches removeSelector: #classSendersOf:!
TCopyingDescription removeSelector: #copyMethodDictionaryFrom:!
TraitBehavior removeSelector: #allSelectors!
FixedIdentitySet removeSelector: #includes:!
SendInfo removeSelector: #classSentSelectors!
TraitsTestCase removeSelector: #createTraitNamed:uses:!
Smalltalk removeClassNamed: #RequiredSelectors!
SendsInfoTest removeSelector: #assert:sendsIn:for:are:!
TraitBehavior removeSelector: #classPool!
TPrintingDescription removeSelector: #storeOn:!
ModelExtension initialize!
Trait initialize!
