"Change Set:		8693Traits-ar.269

Traits-ar.269:
More recategorization.

Traits-ar.267:
Remove obsolete iVars.

Traits-ar.268:
Some recategorization and removal of empty categories.

"!
TraitBehavior subclass: #TraitDescription
	instanceVariableNames: 'users'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Traits-Kernel'!

!Trait class methodsFor: 'public' stamp: 'ar 12/30/2009 20:04'!
initialize
	"Do some reformatting of categories"
	 {
		TraitBehavior->#(#'no messages') . 
		TraitDescription->#(#accessing #testing #operations #converting #copying #'fileIn/Out' #printing) . 
		Trait->#(#initialize #accessing #testing #converting #compiling #'fileIn/Out' #monticello) . 
		ClassTrait->#(#initialize #accessing #testing #compiling #monticello).
		TraitBehavior class->#(#'no messages') . 
		TraitDescription class->#(#'conflict methods') . 
		Trait class->#(#'instance creation' #public) . 
		ClassTrait class->#(#'instance creation').
		TraitAlias->#(#'initialize-release' #accessing #testing #converting #operations).
		TraitComposition->#(#accessing #testing #converting #operations).
		TraitCompositionException->#(#'no messages').
		TraitExclusion->#(#initialize #accessing #converting #composition).
		TraitTransformation->#(#initialize #accessing #testing #converting #operations).
	} do:[:assoc| | organizer categories |
		organizer := assoc key organization.
		categories := assoc value, 
			(organizer categories reject:[:cat| assoc value includes: cat]).
		organizer categories: categories.
		organizer removeEmptyCategories.
	].! !

!Trait methodsFor: 'initialize' stamp: 'ar 12/30/2009 01:59'!
initialize
	super initialize.
	classTrait := ClassTrait for: self.! !

TraitComposition removeSelector: #removeFromComposition:!
Trait initialize!
