"Change Set:		8710KernelTests-ar.128

KernelTests-ar.128:
Making traits unloadable: Slight change to BasicBehaviorClassMetaclassTest to function correctly in the absence of traits.

"!
!BasicBehaviorClassMetaclassTest methodsFor: 'testing' stamp: 'ar 1/1/2010 16:22'!
testClassDescriptionAllSubInstances
	"self run: #testClassDescriptionAllSubInstances"

	| cdNo clsNo metaclsNo |
	cdNo := ClassDescription allSubInstances size.
	clsNo := Class allSubInstances size .
	metaclsNo := Metaclass allSubInstances size.

	"When traits are present, discount all traits if necessary"
	Smalltalk at: #Trait ifPresent:[:aClass|
		(aClass inheritsFrom: ClassDescription) 
			ifTrue:[cdNo := cdNo - aClass instanceCount]].
	Smalltalk at: #ClassTrait ifPresent:[:aClass|
		(aClass inheritsFrom: ClassDescription) 
			ifTrue:[cdNo := cdNo - aClass instanceCount]].

	self assert: cdNo = (clsNo + metaclsNo).! !

