"Change Set:		8757Tools-nice.157

Tools-nice.157:
remove some #or:or: #and:and: sends

"!
!CodeHolder methodsFor: 'misc' stamp: 'sd 11/20/2005 21:27'!
installTextualCodingPane
	"Install text into the code pane"

	| aWindow codePane aPane boundsToUse |
	(aWindow := self containingWindow) ifNil: [self error: 'where''s that window?'].
	codePane := aWindow findDeepSubmorphThat:   
		[:m | ((m isKindOf: PluggableTextMorph) and: [m getTextSelector == #contents]) or:
			[m isKindOf: PluggableTileScriptorMorph]] ifAbsent: [self error: 'no code pane'].
	aPane := self buildMorphicCodePaneWith: nil.
	boundsToUse := (codePane bounds origin- (1@1)) corner: (codePane owner bounds corner " (1@1").
	aWindow replacePane: codePane with: aPane.
	aPane vResizing: #spaceFill; hResizing: #spaceFill; borderWidth: 0.
	aPane bounds: boundsToUse.
	aPane owner clipSubmorphs: false.

	self contentsChanged! !

!CodeHolder methodsFor: 'misc' stamp: 'yo 2/17/2005 18:14'!
addModelItemsToWindowMenu: aMenu
	"Add model-related item to the window menu"

	super addModelItemsToWindowMenu: aMenu. 
	Smalltalk isMorphic ifTrue:
		[aMenu addLine.
		aMenu add: 'what to show...' translated target: self action: #offerWhatToShowMenu]! !

!BrowserCommentTextMorph methodsFor: 'updating' stamp: 'nice 1/1/2010 21:53'!
noteNewOwner: win
	super noteNewOwner: win.
	self setProperty: #browserWindow toValue: win.
	win ifNil: [ ^self ].
	win setProperty: #browserClassCommentPane toValue: self.
	self setProperty: #browserLowerPane
		toValue: (win submorphThat: [ :m |
			m isAlignmentMorph
			and: [ m layoutFrame bottomFraction notNil
			and: [ m layoutFrame bottomFraction >= self layoutFrame topFraction ]]]
		ifNone: [])! !

