"Change Set:		8898Monticello-nice.360

Monticello-nice.360:
Let menu shortcut work in patch browser when annotation preferences are disabled

Monticello-ul.356:
- code critics

Monticello-ul.357:
- do not use SortedCollection for sorting

Monticello-ul.358:
- do not use SortedCollection for sorting

Monticello-ul.359:
A nice little fix from Pharo, for an annoying bug. Fixed by Lukas Renggli. (http://code.google.com/p/pharo/issues/detail?id=1774)

"!
!MCWorkingCopyBrowser methodsFor: 'actions' stamp: 'ul 1/12/2010 01:03'!
editRepository
	| newRepo |
	
	newRepo := self repository openAndEditTemplateCopy.
	newRepo ifNotNil: [ 
		newRepo class = self repository class
			ifTrue: [
				self repository copyFrom: newRepo.
				self changed: #repositoryList ]
			ifFalse: [self inform: 'Must not change repository type!!']]
! !

!MCVersionReader class methodsFor: 'reading' stamp: 'ul 1/11/2010 07:48'!
file: fileName streamDo: aBlock

	^FileStream readOnlyFileNamed: fileName do: [ :file |
		aBlock value: file ]! !

!MCFileRepositoryInspector methodsFor: 'morphic ui' stamp: 'ul 1/11/2010 08:23'!
versionList

	| result |
	result := selectedPackage
		ifNil: [ versions copy ]
		ifNotNil: [ versions select: [ :each | selectedPackage = each first ] ].
	(self orderSpecs at: order) value ifNotNil: [ :sortBlock |
		result sort: [:a :b | [ sortBlock value: a value: b ] on: Error do: [ true ] ] ].
	^result 	replace: [ :each | self versionHighlight: each fourth ]! !

!MCPatchBrowser methodsFor: 'morphic ui' stamp: 'nice 1/20/2010 09:01'!
widgetSpecs
	Preferences annotationPanes ifFalse: [ ^#(
		((listMorph:selection:menu:keystroke: list selection methodListMenu: methodListKey:from:) (0 0 1 0.4) (0 0 0 0))
		((textMorph: text) (0 0.4 1 1))
		) ].

	^ {
		#((listMorph:selection:menu:keystroke: list selection methodListMenu: methodListKey:from:) (0 0 1 0.4) (0 0 0 0)).
		{ #(textMorph: annotations). #(0 0.4 1 0.4). { 0. 0. 0. self defaultAnnotationPaneHeight. } }.
		{ #(textMorph: text). #(0 0.4 1 1). { 0. self defaultAnnotationPaneHeight. 0. 0. } }.
		}! !

