"Change Set:		8919MorphicExtras-ar.72

MorphicExtras-ar.72:
Merging MorphicExtras-nice.65:

Experimental: let a Rectangle merge in place (I called this swallow:)
This has two advantages:
- avoid repeated Object creation when we just want the gross result
- avoid closures writing to outer temps

IMHO, generalizing this kind of policy could have a measurable impact on GUI speed.
However, this is against current policy to never change a Point nor rectangle in place, so I let gurus judge if worth or not.


MorphicExtras-ar.70:
Fix a bug from Etoys decoupling.

MorphicExtras-dtl.71:
Mantis 7448: subscript error when bringing up graphical imports submenu
Fix provided by Ken G. Brown. Also fixed spelling error in balloon text, s/contian/contain/

"!
!AlignmentMorphBob1 methodsFor: 'as yet unclassified' stamp: 'ar 1/13/2010 17:27'!
simpleToggleButtonFor: target attribute: attribute help: helpText

	^(Smalltalk at: #EtoyUpdatingThreePhaseButtonMorph ifAbsent:[^Morph new])
		checkBox
		target: target;
		actionSelector: #toggleChoice:;
		arguments: {attribute};
		getSelector: #getChoice:;
		setBalloonText: helpText;
		step

! !

!BackgroundMorph methodsFor: 'accessing' stamp: 'nice 12/27/2009 22:38'!
subBounds
	"calculate the submorph bounds"

	| subBounds |
	subBounds := (submorphs ifEmpty: [^nil]) anyOne fullBounds copy.
	self submorphsDo: 	[:m | subBounds swallow: m fullBounds].
	^subBounds! !

!GraphicalDictionaryMenu methodsFor: 'menu commands' stamp: 'dtl 1/14/2010 22:08'!
showMenu
	"Show the receiver's menu"

	| aMenu |
	aMenu := MenuMorph new defaultTarget: self.
	aMenu title: 'Graphics Library'.
	aMenu addStayUpItem.
	aMenu addList: #(
		('remove'			removeEntry			'Remove this entry from the dictionary')
		('rename'			renameEntry			'Rename this entry')
		('repaint'			repaintEntry			'Edit the actual graphic for this entry' )
		-
		('hand me one'		handMeOne				'Hand me a morph with this picture as its form')
		('browse symbol references'
							browseIconReferences	'Browse methods that refer to this icon''s name')
		('browse string references'
							browseStringIconReferences 'Browse methods that refer to string constants that contain this icon''s name')
		('copy name'		copyName				'Copy the name of this graphic to the clipboard')
		-
		('find...'			findEntry				'Find an entry by name')
		('find again'		findAgain				'Find the next match for the keyword previously searched for')).
	aMenu popUpInWorld
! !

