"Change Set:		9217Protocols-nice.21

Protocols-nice.21:
move a temp declaration inside a block

"!
!Lexicon methodsFor: 'vocabulary' stamp: 'nice 2/4/2010 21:10'!
chooseVocabulary
	"Put up a dialog affording the user a chance to choose a different vocabulary to be installed in the receiver"
	
	Smalltalk at: #Vocabulary ifPresent:[:aClass|
		| aMenu |
		aMenu := MenuMorph new defaultTarget: self.
		aMenu addTitle: 'Choose a vocabulary
blue = current
red = imperfect' translated.
		aMenu addStayUpItem.
		aClass allStandardVocabularies do:[:aVocabulary |
			(targetClass implementsVocabulary: aVocabulary)
				ifTrue:
					[aMenu add: aVocabulary vocabularyName selector: #switchToVocabulary: argument: aVocabulary.
					(targetClass fullyImplementsVocabulary: aVocabulary) ifFalse:
						[aMenu lastItem color: Color red].
					aVocabulary == currentVocabulary ifTrue:
						[aMenu lastItem color: Color blue]. 
					aMenu balloonTextForLastItem: aVocabulary documentation]].
		aMenu popUpInWorld: self currentWorld
	].! !

