"Change Set:		9231Collections-ul.292

Collections-ul.292:
- weak collection changes, part 2

"!
!WeakRegistry methodsFor: 'initialize' stamp: 'ul 2/4/2010 00:52'!
initialize: n
	valueDictionary := WeakKeyDictionary new: n.
	accessLock := Semaphore forMutualExclusion.
	self installFinalizer.! !

!WeakRegistry methodsFor: 'initialize' stamp: 'ul 2/4/2010 00:52'!
installFinalizer

	valueDictionary finalizer: [ :value |
		(objectsToFinalize ifNil: [ objectsToFinalize := OrderedCollection new ]) add: value ]! !

!WeakRegistry methodsFor: 'copying' stamp: 'ul 2/5/2010 04:21'!
postCopy

	self protected: [ "Uses the original accessLock"
		accessLock := Semaphore forMutualExclusion.
		valueDictionary := valueDictionary copy.
		objectsToFinalize := objectsToFinalize copy.
		self installFinalizer ]! !

!WeakRegistry methodsFor: 'finalization' stamp: 'ul 2/3/2010 06:26'!
finalizeValues
	"Some of our elements may have gone away. Look for those and activate the associated executors."
	
	| finiObjects |
	self protected: [ 
		valueDictionary finalizeValues.
		finiObjects := objectsToFinalize.
		objectsToFinalize := nil ].
	finiObjects ifNil: [ ^self ].
	finiObjects do: #finalize! !

