"Change Set:		9319Collections-ar.303

Collections-ar.303:
Change EncodedCharSet>>digitValue: to EncodedCharSet>>digitValueOf:. Part 2/3.

Collections-dtl.302:
Eliminate explicit Transcripter dependency on MVC Paragraph. Note that Transcripter currently lacks a Morphic view.

"!
!Transcripter methodsFor: 'initialization' stamp: 'dtl 2/10/2010 22:15'!
initInFrame: rect
	frame := rect insetBy: 2.  "Leave room for border"
	(Smalltalk hasClassNamed: #Paragraph)
		ifFalse: [^ self inform: 'MVC class Paragraph not present'].
	para := (Smalltalk at: #Paragraph) withText: self contents asText
				style: TextStyle default
				compositionRectangle: ((frame insetBy: 4) withHeight: 9999)
				clippingRectangle: frame
				foreColor: self black backColor: self white! !

!Character methodsFor: 'accessing' stamp: 'ar 2/11/2010 23:38'!
digitValue
	"Answer 0-9 if the receiver is $0-$9, 10-35 if it is $A-$Z, and < 0 
	otherwise. This is used to parse literal numbers of radix 2-36."

	| digitValue |
	(digitValue := ('0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ' indexOf: self) - 1) >= 0
		ifTrue: [ ^digitValue ].
	^ (EncodedCharSet charsetAt: self leadingChar) digitValueOf: self.
! !

