"Change Set:		9334Installer-Core-cmm.336

Installer-Core-cmm.336:
- When installing ChangeSets, name the change-set the _local_ name of the file, not the fully-qualified name, because due to further post-processing of the name, using the fully-qualifed ends up stripping all chars after a period, resulting in the same name trying to be installed from different change-sets in the same source directory.

"!
!Installer methodsFor: 'mantis' stamp: 'cmm 2/11/2010 12:34'!
installGZ: aFileName from: stream 
	"FileIn the contents of a gzipped stream"
	| zipped unzipped |
	zipped := self classGZipReadStream on: stream.
	unzipped := MultiByteBinaryOrTextStream with: zipped contents asString.
	unzipped reset.
	self 
		newChangeSetFromStream: unzipped 
		named: (FileDirectory localNameFor: aFileName)! !

