"Change Set:		9374ReleaseBuilder-ar.46

ReleaseBuilder-ar.46:
Add a ReleaseBuilderTrunk script to clean up before making a new build.

"!
ReleaseBuilder subclass: #ReleaseBuilderTrunk
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ReleaseBuilder'!

!ReleaseBuilderTrunk class methodsFor: 'scripts' stamp: 'ar 2/13/2010 17:04'!
prepareNewBuild "ReleaseBuilderTrunk prepareNewBuild"
	"Prepare everything that should be done for a new image build"
	Smalltalk cleanUpUndoCommands.
	Undeclared removeUnreferencedKeys.
	StandardScriptingSystem initialize.
	GradientFillStyle initPixelRampCache.
	(NaturalLanguageFormTranslator bindingOf: #CachedTranslations) value: nil.
	(NaturalLanguageTranslator bindingOf: #CachedTranslations) value: nil.
	(NaturalLanguageTranslator bindingOf: #AllKnownPhrases) value: nil.
	PaintBoxMorph classPool	at: #ColorChart put: nil.
	(Utilities bindingOf: #ScrapsBook) value: nil.
	CommandHistory resetAllHistory.
	Smalltalk at: #Browser ifPresent:[:br| br initialize].
	DataStream initialize.
	ListParagraph initialize.
	PopUpMenu initialize.
	Smalltalk forgetDoIts.
	Smalltalk flushClassNameCache.
	ScrollBar initializeImagesCache. 
	Behavior flushObsoleteSubclasses.
	AppRegistry withAllSubclassesDo:[:reg| reg removeObsolete].
	FileServices removeObsolete. 
	ExternalDropHandler resetRegisteredHandlers.
	SystemOrganization removeEmptyCategories.
	MCFileBasedRepository flushAllCaches.
	MCMethodDefinition shutDown.
	MCDefinition clearInstances.
	HashedCollection rehashAll.
	ChangeSet removeChangeSetsNamedSuchThat:
		[:cs| cs name ~= ChangeSet current name].
	ChangeSet current clear.
	ChangeSet current name: 'Unnamed1'.
	Smalltalk garbageCollect.
	3 timesRepeat: [ 
		Smalltalk garbageCollect. 
		Symbol compactSymbolTable.
	].! !

