"Change Set:		9377CollectionsTests-ul.145

CollectionsTests-ul.145:
- a few tests for KeyedSet

"!
!KeyedSetTest methodsFor: 'tests' stamp: 'ul 2/19/2010 15:57'!
testLike
	
	| k |
	k := KeyedSet keyBlock: [ :each | each * 2 ].
	self assert: (k like: 1) isNil.
	k add: 1.
	self assert: (k like: 1) = 1.
	k add: 2.
	self assert: (k like: 2) = 2.
	self assert: (k like: 3) isNil.! !

!SetWithNilTest methodsFor: 'tests' stamp: 'ul 2/19/2010 15:59'!
testKeyedSetWithNil
	| set |
	self runSetWithNilTestOf: [KeyedSet keyBlock:[:o| o]].
	set := KeyedSet keyBlock:[:o| o].
	set add: nil.
	self assert: (set at: nil) == nil.
	self assert: (set includes: nil)
! !

!KeyedSetTest methodsFor: 'tests' stamp: 'ul 2/19/2010 15:57'!
testLikeIfAbsent
	
	| k missing |
	k := KeyedSet keyBlock: [ :each | each * 2 ].
	missing := false.
	self assert: (k like: 1 ifAbsent: [ missing := true. nil ]) isNil.
	self assert: missing.
	k add: 1.
	missing := false.
	self assert: (k like: 1 ifAbsent: [ missing := true. nil ]) = 1.
	self deny: missing.
	k add: 2.
	self assert: (k like: 2 ifAbsent: nil) = 2.
	self assert: (k like: 3 ifAbsent: nil) isNil! !

