"Change Set:		9459Monticello-kb.371

Monticello-kb.371:
 - fix: don't style class comments, and other things that we shouldn't style.
 - fix: use codePane: in widgetSpecs if annotationPanes are enabled
 - fix: add codePane: to MCTool for the case if we don't have ToolBuilder 

Monticello-kb.369:
- Shout styling for the MCSnapshotBrowser using ToolBuilder

Monticello-kb.370:
- Shout styling for the MCSnapshotBrowser using ToolBuilder

"!
!MCTool methodsFor: 'morphic ui' stamp: 'kb 2/24/2010 22:04'!
codePane: aSymbol

	| textMorph |
	textMorph := PluggableTextMorphPlus 
		on: self 
		text: aSymbol 
		accept: (aSymbol, ':') asSymbol.
	textMorph useDefaultStyler.
	^textMorph! !

!MCSnapshotBrowser methodsFor: 'morphic ui' stamp: 'kb 2/24/2010 21:26'!
aboutToStyle: aStyler

	| classOrMetaClass shouldStyle |
	classSelection ifNil: [ ^false ].
	switch = #comment ifTrue: [ ^false ].
	(protocolSelection notNil and: [
		methodSelection notNil ]) 
			ifTrue: [ 
				classOrMetaClass := self selectedClassOrMetaClass.
				shouldStyle := true ]
			ifFalse: [ 
				classOrMetaClass := nil.
				shouldStyle := categorySelection ~= self extensionsCategory ].
	aStyler classOrMetaClass: classOrMetaClass.
	^shouldStyle! !

!MCVersion methodsFor: 'actions' stamp: 'kb 2/24/2010 19:40'!
browse
	(MCSnapshotBrowser forSnapshot: self snapshot)
		label: 'Snapshot of ', self fileName;
		show! !

!MCSnapshotBrowser methodsFor: 'morphic ui' stamp: 'kb 2/24/2010 21:48'!
widgetSpecs

	Preferences annotationPanes ifFalse: [ ^#(
		((listMorph: category) (0 0 0.25 0.4))
		((listMorph: class) (0.25 0 0.50 0.4) (0 0 0 -30))
		((listMorph: protocol) (0.50 0 0.75 0.4))
		((listMorph:selection:menu:keystroke:  methodList methodSelection methodListMenu: methodListKey:from:) (0.75 0 1 0.4))
		((buttonRow) (0.25 0.4 0.5 0.4) (0 -30 0 0))
		((codePane: text) (0 0.4 1 1))
		) ].

	^#(
		((listMorph: category) (0 0 0.25 0.4))
		((listMorph: class) (0.25 0 0.50 0.4) (0 0 0 -30))
		((listMorph: protocol) (0.50 0 0.75 0.4))
		((listMorph:selection:menu:keystroke:  methodList methodSelection methodListMenu: methodListKey:from:) (0.75 0 1 0.4))

		((buttonRow) (0.25 0.4 0.5 0.4) (0 -30 0 0))

		((textMorph: annotations) (0 0.4 1 0.4) (0 0 0 30))
		((codePane: text) (0 0.4 1 1) (0 30 0 0))
		)! !

!MCToolWindowBuilder methodsFor: 'as yet unclassified' stamp: 'kb 2/24/2010 19:39'!
codePane: aSymbol
	| text |
	text := builder pluggableCodePaneSpec new.
	text 
		model: tool;
		getText: aSymbol; 
		setText: (aSymbol, ':') asSymbol;
		frame: currentFrame.
	window children add: text! !

