"Change Set:		9482Tools-ar.194

Tools-ar.194:
Put the option to enable/disable syntax highlighting into the workspace's window menu (instead of the context menu) where the other workspace specific options are. Also change to wording to be less idiosyncratic.

"!
!Workspace methodsFor: 'code pane menu' stamp: 'ar 2/26/2010 01:19'!
toggleStylingLabel

	^self shouldStyle 
		ifTrue: [ '<on> syntax highlighting' ]
		ifFalse: [ '<off> syntax highlighting' ]! !

!Workspace methodsFor: 'menu commands' stamp: 'ar 2/26/2010 01:19'!
addModelItemsToWindowMenu: aMenu 
	
	aMenu addLine.
	aMenu
		add: 'save contents to file...'
		target: self
		action: #saveContentsInFile.
	aMenu
		add: 'reset variables'
		target: self
		action: #initializeBindings.
	aMenu
		addUpdating: #mustDeclareVariableWording
		target: self
		action: #toggleVariableDeclarationMode.
	aMenu
		addUpdating: #acceptDroppedMorphsWording
		target: self
		action: #toggleDroppingMorphForReference.

	self addToggleStylingMenuItemTo: aMenu.
! !

Workspace removeSelector: #codePaneMenu:shifted:!
