"Change Set:		9546Tests-ul.50

Tests-ul.50:
- integrity tests for Dictionaries (except for WeakKeyDictionaries, because those state may change while the tests are running)

"!
TestCase subclass: #DictionaryIntegrityTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tests-Bugs'!

!DictionaryIntegrityTest methodsFor: 'tests' stamp: 'ul 2/28/2010 19:17'!
testMethodDictionaries

	MethodDictionary allInstancesDo: [ :dictionary |
		dictionary keysAndValuesDo: [ :key :value |
			self assert: (dictionary at: key) == value ].
		1 to: dictionary basicSize do: [ :index |
			(dictionary basicAt: index)
				ifNil: [ self assert: (dictionary array at: index) isNil ]
				ifNotNil: [ :key |
					self assert: (dictionary scanFor: key) = index ] ] ]! !

!DictionaryIntegrityTest methodsFor: 'tests' stamp: 'ul 2/28/2010 19:20'!
testDictionaries

	#(
		Dictionary
		IdentityDictionary
		SystemDictionary
		LiteralDictionary
		PluggableDictionary
		WeakValueDictionary) do: [ :dictionaryClassName |
			Smalltalk at: dictionaryClassName ifPresent: [ :dictionaryClass |
				dictionaryClass allInstancesDo: [ :dictionary |
					dictionary keysAndValuesDo: [ :key :value |
						self assert: (dictionary at: key) == value ].
					dictionary array doWithIndex: [ :association :index |
		                        association ifNotNil: [
	 	                               self assert: (dictionary scanFor: association key) = index ] ] ] ] ]! !

