"Change Set:		9550CollectionsTests-ar.151

CollectionsTests-ar.151:
Add tests for at:ifPresent:ifAbsent: (illustrating a bug in the implementation).

"!
!DictionaryTest methodsFor: 'basic tests' stamp: 'ar 3/4/2010 20:31'!
testAtIfPresentIfAbsent
	"Test at:ifPresent:ifAbsent:"
	| dict present absent |
	dict := Dictionary new.
	present := absent := false.
	dict at: #foo ifPresent:[:v| present := true] ifAbsent:[absent := true].
	self deny: present.
	self assert: absent.

	dict at: #foo put: #bar.
	present := absent := false.
	dict at: #foo ifPresent:[:v| present := true] ifAbsent:[absent := true].
	self assert: present.
	self deny: absent.

	present := absent := false.
	dict at: #foo ifPresent:[:v| present := true. nil] ifAbsent:[absent := true].
	self assert: present.
	self deny: absent.
! !

