"Change Set:		9579ToolBuilder-Morphic-cmm.51

ToolBuilder-Morphic-cmm.51:
- Support for newly introduced AlternatePluggableListMorphOfMany.

"!
!MorphicToolBuilder methodsFor: 'pluggable widgets' stamp: 'cmm 2/19/2010 15:06'!
buildPluggableAlternateMultiSelectionList: aSpec
	| listMorph listClass |
	aSpec getSelected ifNotNil: [ ^ self error: 'There is no PluggableAlternateListMorphOfManyByItem' ].
	listClass := self alternateMultiSelectListClass.
	listMorph := listClass 
		on: aSpec model
		list: aSpec list
		primarySelection: aSpec getIndex
		changePrimarySelection: aSpec setIndex
		listSelection: aSpec getSelectionList
		changeListSelection: aSpec setSelectionList
		menu: aSpec menu.
	listMorph
		setProperty: #highlightSelector toValue: #highlightMessageList:with: ;
		setProperty: #itemConversionMethod toValue: #asStringOrText ;
		setProperty: #balloonTextSelectorForSubMorphs toValue: #balloonTextForClassAndMethodString ;
		enableDragNDrop: Preferences browseWithDragNDrop ;
		menuTitleSelector: #messageListSelectorTitle.
	self 
		register: listMorph
		id: aSpec name.
	listMorph
		keystrokeActionSelector: aSpec keyPress ;
		getListElementSelector: aSpec listItem ;
		getListSizeSelector: aSpec listSize.
	self 
		buildHelpFor: listMorph 
		spec: aSpec. 
	self 
		setFrame: aSpec frame 
		in: listMorph.
	parent ifNotNil: [ self add: listMorph to: parent ].
	panes ifNotNil: [ aSpec list ifNotNil:[panes add: aSpec list ] ].
	^ listMorph! !

!MorphicToolBuilder methodsFor: 'widget classes' stamp: 'cmm 3/2/2010 17:19'!
alternateMultiSelectListClass
	^ AlternatePluggableListMorphOfMany ! !

