"Change Set:		9613TraitsTests-ar.6

TraitsTests-ar.6:
Avoid dictionary protocol in Smalltalk.

"!
!TraitFileOutTest methodsFor: 'testing' stamp: 'ar 3/5/2010 20:43'!
testFileOutCategory
	"File out whole system category, delete all classes and traits and then
	file them in again."

	"self run: #testFileOutCategory"

	| |
	SystemOrganization fileOutCategory: self categoryName.
	SystemOrganization removeSystemCategory: self categoryName.
	self deny: (Smalltalk globals keys includesAnyOf: #(CA CB TA TB TC TD)).
	
	self fileIn: self categoryName , '.st'..

	self assert: (Smalltalk globals keys includesAllOf: #(CA CB TA TB TC TD)).

	ta := Smalltalk at: #TA.
	self assert: (ta isKindOf: Trait).
	self assert: ta traitComposition asString = 'TB + TC @ {#cc->#c} - {#c}'.
	self assert: (ta methodDict keys includesAllOf: #(a b cc)).

	cb := Smalltalk at: #CB.
	self assert: (cb isKindOf: Class).
	self assert: cb traitComposition asString = 'TA'.
	self assert: (cb methodDict keys includesAllOf: #(cb a b cc)).

	"test classSide traitComposition of CB"

	self assert: cb classSide traitComposition asString =  'TA classTrait + TC'.
	self assert: (cb classSide methodDict keys includesAllOf: #(d c))
! !

