"Change Set:		9770Multilingual-cmm.107

Multilingual-cmm.107:
Ran FixUnderscores on this package.

Multilingual-nice.105:
Let #at:put: answer the put object

Multilingual-cmm.106:
Fix for potential stack-overflow when trying to embed a Morph into a TextMorph.

"!
!MultiCharacterScanner methodsFor: 'scanning' stamp: 'cmm 10/6/2007 10:49'!
placeEmbeddedObject: anchoredMorph
	"Place the anchoredMorph or return false if it cannot be placed.
	In any event, advance destX by its width."
	| w |
	"Workaround: The following should really use #textAnchorType"
	anchoredMorph relativeTextAnchorPosition ifNotNil:[^true].
	destX := destX + (w := anchoredMorph width).
	(destX > rightMargin and: [(leftMargin + w) <= rightMargin])
		ifTrue: ["Won't fit, but would on next line"
				^ false].
	lastIndex := lastIndex + 1.
	"self setFont."  "Force recalculation of emphasis for next run"
	^ true! !

!TTCFont methodsFor: 'private' stamp: 'nice 3/20/2010 09:16'!
at: char put: form
	| assoc |
	assoc := foregroundColor -> form.
	GlyphCacheData at: (GlyphCacheIndex := GlyphCacheIndex \\ GlyphCacheSize + 1) put: assoc.
	cache at: (char asInteger + 1) put: assoc.
	^form! !

!MultiTTCFont methodsFor: 'as yet unclassified' stamp: 'nice 3/20/2010 09:17'!
at: char put: form

	| wcache |
	wcache := self cache.
	wcache replaceFrom: 1 to: wcache size - 1 with: wcache startingAt: 2.
	wcache at: wcache size
		put: (Array with: char asciiValue with: foregroundColor with: form).
	^form
! !

