"Change Set:		9829System-tfel.303

System-tfel.303:
* Make the gray for the windows a little darker, that's easier on the eyes
* Set the default window title font size to 9 (new Squeakers will appreciate this, I believe)

"!
!Preferences class methodsFor: 'fonts' stamp: 'tfel 3/27/2010 21:54'!
restoreDefaultFonts
	"Since this is called from menus, we can take the opportunity to prompt for missing font styles."
	"
	Preferences restoreDefaultFonts
	"

	self setDefaultFonts: #(
		(setSystemFontTo:			'Bitmap DejaVu Sans'		9)
		(setListFontTo:				'Bitmap DejaVu Sans'		9)
		(setFlapsFontTo:			Accushi						12)
		(setEToysFontTo:			BitstreamVeraSansBold		9)
		(setPaintBoxButtonFontTo:	BitstreamVeraSansBold		9)
		(setMenuFontTo:			'Bitmap DejaVu Sans'		9)
		(setWindowTitleFontTo:		'Bitmap DejaVu Sans Bold'	9)
		(setBalloonHelpFontTo:		Accujen						9)
		(setCodeFontTo:			'Bitmap DejaVu Sans'		9)
		(setButtonFontTo:			BitstreamVeraSansMono	9)
	)
! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
lexiconWindowColor
	^ self
		valueOfFlag: #lexiconWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
instanceBrowserWindowColor
	^ self
		valueOfFlag: #instanceBrowserWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
fileListWindowColor
	^ self
		valueOfFlag: #fileListWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
debuggerWindowColor
	^ self
		valueOfFlag: #debuggerWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
defaultWindowColor
	^ self
		valueOfFlag: #defaultWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
workspaceWindowColor
	^ self
		valueOfFlag: #workspaceWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
classCommentVersionsBrowserWindowColor
	^ self
		valueOfFlag: #classCommentVersionsBrowserWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
fileContentsBrowserWindowColor
	^ self
		valueOfFlag: #fileContentsBrowserWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
versionsBrowserWindowColor
	^ self
		valueOfFlag: #versionsBrowserWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
traceMessages
	^ self
		valueOfFlag: #traceMessages
		ifAbsent: [false]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
testRunnerWindowColor
	^ self
		valueOfFlag: #testRunnerWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
dualChangeSorterWindowColor
	^ self
		valueOfFlag: #dualChangeSorterWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
messageListWindowColor
	^ self
		valueOfFlag: #messageListWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
messageNamesWindowColor
	^ self
		valueOfFlag: #messageNamesWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
browserWindowColor
	^ self
		valueOfFlag: #browserWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
packageLoaderWindowColor
	^ self
		valueOfFlag: #packageLoaderWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
transcriptWindowColor
	^ self
		valueOfFlag: #transcriptWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
changeSorterWindowColor
	^ self
		valueOfFlag: #changeSorterWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
methodFinderWindowColor
	^ self
		valueOfFlag: #methodFinderWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
changeListWindowColor
	^ self
		valueOfFlag: #changeListWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
preferenceBrowserWindowColor
	^ self
		valueOfFlag: #preferenceBrowserWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
packageBrowserWindowColor
	^ self
		valueOfFlag: #packageBrowserWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

!Preferences class methodsFor: 'window colors' stamp: 'tfel 3/27/2010 21:48'!
installUniformWindowColors
	"Install the factory-provided uniform window colors for all tools"

	"Preferences installUniformWindowColors"
	self installWindowColorsVia: [:aQuad | Color veryVeryLightGray]! !

!Preferences class methodsFor: 'standard queries' stamp: ''!
monticelloToolWindowColor
	^ self
		valueOfFlag: #monticelloToolWindowColor
		ifAbsent: [Color
				r: 0.875
				g: 0.875
				b: 0.875]! !

