"Change Set:		9902ToolBuilder-Morphic-ar.55

ToolBuilder-Morphic-ar.55:
Merging ToolBuilder-Morphic-fbs.54:

This addresses sq 7486: a ListChooser now handles up/down arrows (so you can use a mouse's scrollwheel) while still passing other keyboard events to the search morph.

ToolBuilder-Morphic-fbs.54:
This addresses sq 7486: a ListChooser now handles up/down arrows (so you can use a mouse's scrollwheel) while still passing other keyboard events to the search morph.

ToolBuilder-Morphic-MAD.54:
Fix for http://bugs.squeak.org/view.php?id=7489

"!
!ListChooser methodsFor: 'event handling' stamp: 'fbs 4/3/2010 15:53'!
keyStrokeFromList: event
	"we don't want the list to be picking up events, excepting scroll events"

	"Don't sent ctrl-up/ctrl-down events to the searchMorph: they're scrolling events."
	(#(30 31) contains: [:each | each = event keyValue]) not
		ifTrue:
			["window world primaryHand keyboardFocus: searchMorph."
			searchMorph keyStroke: event.
			"let the list know we've dealt with it"
			^true].
	^false.
		! !

!ListChooser methodsFor: 'building' stamp: 'MAD 4/3/2010 15:51'!
buildButtonBarWith: builder
	| panel button |
	panel := builder pluggablePanelSpec new
		model: self;
		layout: #proportional;
		children: OrderedCollection new.
	button := builder pluggableButtonSpec new.
	button
		model: self; 
		label: 'Accept (s)';
		action: #accept;
		enabled: #canAccept;
		state: #canAccept;
		color: #acceptColor;
		frame: (0.0 @ 0.0 corner: 0.34@1).
	panel children add: button.

	button := builder pluggableButtonSpec new.
	button
		model: self; 
		label: 'Add (a)';
		action: #add;
		enabled: #canAdd;
		frame: (0.36 @ 0.0 corner: 0.63@1).
	panel children add: button.

	button := builder pluggableButtonSpec new.
	button
		model: self; 
		label: 'Cancel (l)';
		action: #cancel;
		color: #cancelColor;
		frame: (0.65 @ 0.0 corner: 1@1).
	panel children add: button.
	
	^ panel! !

