"Change Set:		9914TraitsTests-ar.9

TraitsTests-ar.9:
Mark TraitsResource current dirty after condenseChanges test since it would otherwise wreck havoc with later tests.

TraitsTests-ar.8:
Add a test for the behavior of traits during condenseChanges.

"!
!TraitFileOutTest methodsFor: 'testing' stamp: 'ar 4/5/2010 21:23'!
testCondenseChanges
	"Tests moveChangesTo: in the face of aliases and other trait manipulations"
	| file classOrTrait originals copy |
	file := FileStream forceNewFileNamed: 'TraitFileOutTest.changes'.
	[originals := IdentityDictionary new.
	#(t1 t2 t3 t4 t5 t6 c1 c2) do:[:clsName|
		classOrTrait := self perform: clsName.
		classOrTrait methodsDo:[:each|
			originals at: each put: each getSourceFromFile.
		].
		file setToEnd.
		classOrTrait moveChangesTo: file.
		originals keysAndValuesDo:[:method :source| 
			"we need the upfront assertion to avoid a current bug 
			in #nextChunk when using out of bounds indexes"
			self assert: method filePosition < file size.
			copy := file position: method filePosition; nextChunkText.
			self assert: copy = source.
		].
	].
	] ensure:[
		TraitsResource current setDirty.
		file close. 
		FileDirectory default deleteFileNamed: file name ifAbsent:[].
	].! !

