"Change Set:		7766ST80-ar.52

ST80-ar.52:
More offList/suspend cleanup.

"!
!ControlManager methodsFor: 'scheduling' stamp: 'ar 9/6/2009 11:09'!
interruptName: labelString preemptedProcess: theInterruptedProcess
	"Create a Notifier on the active scheduling process with the given label. Make the Notifier the active controller."
	| newActiveController preemptedProcess |

	preemptedProcess := theInterruptedProcess ifNil: [Processor preemptedProcess].
	preemptedProcess suspend.

	"There is something wrong here. We suspend *two* processes, the interrupted
	process and the activeControllerProcess (unless they are the same). How can
	that possibly be right? However, it is what the code did before I added the comment
	(it was merely hidden underneith another pile of code). Someone with more 
	understanding about MVC fix this please."

	preemptedProcess == activeControllerProcess 
		ifFalse:[activeControllerProcess suspend].

	activeController ~~ nil ifTrue: [
		"Carefully de-emphasis the current window."
		activeController view topView deEmphasizeForDebugger].

	newActiveController :=
		(Debugger
			openInterrupt: labelString
			onProcess: preemptedProcess) controller.
	newActiveController centerCursorInView.
	self activeController: newActiveController.
! !

