"Change Set:		7854Collections-ar.139

Collections-ar.139:
Merging Collections-ul.138:

- reimplement #rehash, #grow and #finalizeValues:

"!
!Set methodsFor: 'private' stamp: 'ul 9/20/2009 05:05'!
grow
	"Grow the elements array and reinsert the old elements"
	
	self growTo: array size + self growSize! !

!WeakKeyDictionary methodsFor: 'finalization' stamp: 'ul 9/20/2009 05:12'!
finalizeValues: finiObjects
	"Remove all associations with key == nil and value is in finiObjects.
	This method is folded with #rehash for efficiency."
	
	| oldArray |
	oldArray := array.
	array := Array new: oldArray size.
	tally := 0.
	1 to: array size do:[ :i |
		| association |
		(association := oldArray at: i) ifNotNil: [
			(association key == nil and: [ finiObjects includes: association value ])
				ifFalse:[
					array 
						at: (self scanForEmptySlotFor: association key) 
						put: association ] ] ]! !

!WeakSet methodsFor: 'private' stamp: 'ul 9/20/2009 05:26'!
growTo: anInteger
	"Grow the elements array and reinsert the old elements"

	| oldElements |

	oldElements := array.
	array := WeakArray new: anInteger.
	array atAllPut: flag.
	self noCheckNoGrowFillFrom: oldElements! !

!Set methodsFor: 'private' stamp: 'ul 9/20/2009 05:06'!
rehash
	
	self growTo: array size! !

