"Change Set:		7872Kernel-ul.254

Kernel-ul.254:
- replaced #whileFalse: with #whileFalse in MethodDictionary  >> #scanFor:

"!
!MethodDictionary methodsFor: 'private' stamp: 'ul 9/30/2009 14:22'!
scanFor: anObject
	"Scan the key array for the first slot containing either a nil (indicating an empty slot) or an element that matches anObject. Answer the index of that slot or raise an error if no slot is found. This method will be overridden in various subclasses that have different interpretations for matching elements."

	| index start |
	index := start := anObject identityHash \\ array size + 1.
	[ 
		| element |
		((element := self basicAt: index) == nil or: [ element == anObject ])
			ifTrue: [ ^index ].
		(index := index \\ array size + 1) = start ] whileFalse.
	self errorNoFreeSpace! !

