"Change Set:		7998Multilingual-nice.52

Multilingual-nice.52:
use #fasterKeys

"!
!LanguageEditor methodsFor: 'accessing' stamp: 'nice 10/19/2009 22:14'!
translations
	"answet the translator's translations"
	| allTranslations filterString |
	allTranslations := self translator translations fasterKeys.
	""
	filterString := self translationsFilter.
	""
	filterString isEmpty
		ifFalse: [allTranslations := allTranslations
						select: [:each | ""
							('*' , filterString , '*' match: each)
								or: ['*' , filterString , '*'
										match: (self translator translationFor: each)]]].
""
	^ allTranslations asSortedCollection! !

!LanguageEditor methodsFor: 'reporting' stamp: 'nice 10/19/2009 22:14'!
printTranslationsReportOn: aStream 
	"append to aStream a report of the receiver's translations"
	| originalPhrases |
	aStream nextPutAll: '!!';
		 nextPutAll: 'translations' translated;
		 cr.

	originalPhrases := self translator translations fasterKeys sort.

	originalPhrases
		do: [:each | 
			aStream
				nextPutAll: ('|{1}|{2}|' format: {self asHtml: each. self
							asHtml: (self translator translationFor: each)});
				 cr].

	aStream cr; cr! !

