"Change Set:		8036SMBase-nice.91

SMBase-nice.91:
Use #keys rather than #fasterKeys
Note that pattern (x keys asArray sort) could as well be written (x keys sort) now that keys returns an Array...
This #asArray is here solely for cross-dialect/fork compatibility.

"!
!SMInstallationRegistry methodsFor: 'queries' stamp: 'gk 5/5/2006 02:07'!
installedPackages
	"Answer all packages that we know are installed.
	Lazily initialize. The Dictionary contains the installed packages
	using their UUIDs as keys and the version string as the value."

	| result p |
	result := OrderedCollection new.
	installedPackages ifNil: [^#()]
		ifNotNil: [installedPackages keys
					do: [:k |
						p := map object: k.
						p ifNotNil: [result add: p]]].
	^result! !

