"Change Set:		8128KernelTests-nice.107

KernelTests-nice.107:
clean-up isSelfEvaluating

KernelTests-nice.105:
Provide some non regression tests for Float storeOn:

KernelTests-nice.106:
Add a test for Float storeOn: (strange, I thought I already commited this one)

"!
!FloatTest methodsFor: 'testing' stamp: 'nice 11/1/2009 18:58'!
testStoreOn
	"If storeOn: prints exactly and the parser avoid cumulating round off Errors,
	then Float should be read back exactly.
	Note: there is no guarantee to restore the bit pattern of NaN though"
	
	self assert: (Compiler evaluate: Float halfPi storeString) = Float halfPi.
	self assert: (Compiler evaluate: Float halfPi negated storeString) = Float halfPi negated.
	self assert: (Compiler evaluate: Float infinity storeString) = Float infinity.
	self assert: (Compiler evaluate: Float infinity negated storeString) = Float infinity negated.
	self assert: (Compiler evaluate: Float nan storeString) isNaN.! !

SelfEvaluatingObjectTest removeSelector: #testObjects!
SelfEvaluatingObjectTest removeSelector: #testArray!
SelfEvaluatingObjectTest removeSelector: #compile:!
SelfEvaluatingObjectTest removeSelector: #assertCode:print:!
Smalltalk removeClassNamed: #SelfEvaluatingObjectTest!
