"Change Set:		8153PreferenceBrowser-kb.39

PreferenceBrowser-kb.39:
 - fix: http://bugs.squeak.org/view.php?id=4530
   TextInput of PreferenceBrowser behave strangely.
   The root of the problem was that on each keystroke the PluggableTextMorph updated the PreferenceBrowser, which in turn updated the PluggableTextMorph, what messed up its selection. 
   This solution gives a getTextSelector to the PluggableTextMorph which is never triggered.
   Another solution could be to drop the auto updating behaviour.

"!
!PreferenceBrowser methodsFor: 'accessing' stamp: 'kb 11/12/2009 14:51'!
searchPatternNeverTriggered

	^self searchPattern! !

!PreferenceBrowserMorph methodsFor: 'submorphs - search panel' stamp: 'kb 11/12/2009 14:51'!
newSearchTextField
	| ptm |
	ptm := PluggableTextMorph
		on: self model
		text: #searchPatternNeverTriggered
		accept: #searchPattern:.
	ptm
		hideVScrollBarIndefinitely: true;
		borderInset;
		color: Color white;
		vResizing: #rigid;
		hResizing: #spaceFill;
		height: TextStyle defaultFont height * 2;
		acceptOnCR: true;
		onKeyStrokeSend: #value to: [ ptm hasUnacceptedEdits ifTrue: [ ptm accept ] ].
	^ptm.! !

