"Change Set:		8209Collections-ul.199

Collections-ul.199:
Dictionary is not a Set anymore.
- Removed Dictionary >> #asSet, because it's same as in super.
- Added a super send to Dictionary >> #postCopy.
- Moved #occurencesOf: and #postCopy back to Set from HashedCollection.

"!
HashedCollection subclass: #Dictionary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Collections-Unordered'!

!Set methodsFor: 'copying' stamp: 'ul 11/19/2009 01:45'!
postCopy
	super postCopy.
	array := array copy! !

!Set methodsFor: 'testing' stamp: 'ul 11/19/2009 01:45'!
occurrencesOf: anObject 
	^ (self includes: anObject) ifTrue: [1] ifFalse: [0]! !

!Dictionary methodsFor: 'copying' stamp: 'ul 11/19/2009 01:46'!
postCopy
	"Must copy the associations, or later store will affect both the
original and the copy"

	super postCopy.
	array := array collect: [ :association |
		association ifNotNil: [ association copy ] ]! !

Dictionary removeSelector: #asSet!
HashedCollection removeSelector: #postCopy!
HashedCollection removeSelector: #occurrencesOf:!
