"Change Set:		8309Kernel-ul.312

Kernel-ul.312:
Added #scaledIdentityHash.
Part 1 of updating Object >> hash.

"!
!Object methodsFor: 'comparing' stamp: 'ul 12/1/2009 04:16'!
hash
	"Answer a SmallInteger whose value is related to the receiver's identity.
	May be overridden, and should be overridden in any classes that define = "

	CollectionRehashingUtility quickRehashBecause: #objectHashChanged.
	^self scaledIdentityHash! !

!ProtoObject methodsFor: 'comparing' stamp: 'ul 11/30/2009 23:54'!
scaledIdentityHash
	"For identityHash values returned by primitive 75, answer
	such values times 2^18.  Otherwise, match the existing
	identityHash implementation"

	^self identityHash * 262144 "bitShift: 18"! !

!SmallInteger methodsFor: 'comparing' stamp: 'ul 11/30/2009 23:55'!
scaledIdentityHash
	"For identityHash values returned by primitive 75, answer
	such values times 2^18.  Otherwise, match the existing
	identityHash implementation"
	
	^self! !

