"Change Set:		8355Exceptions-ar.16

Exceptions-ar.16:
Adds OutOfMemory a standard exception signaled when the system is running out of memory. By default it calls signalLowSpace but since it is a subclass of error it will trigger proper exception handling in production environments (this avoids notifiers popping up on a server because an ill-formed request attempts to allocate a huge amount of memory).

"!
Error subclass: #OutOfMemory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Exceptions-Kernel'!

!OutOfMemory methodsFor: 'as yet unclassified' stamp: 'ar 2/10/2007 10:42'!
isResumable
	^true! !

!OutOfMemory methodsFor: 'as yet unclassified' stamp: 'ar 2/10/2007 10:43'!
defaultAction
	Smalltalk signalLowSpace.! !

