"Change Set:		8356System-dtl.189

System-dtl.189:
Move folder selection dialogs from Project to MVCProject and MorphicProject to eliminate MVC/Morphic dependency in Project. But note that PluggableFileList used for MVC is incorrectly categorized in package Morphic.

Change Imports>>viewImages to use 'Project current isMorphic' rather than 'self couldOpenInMorphic'.

"!
!Project methodsFor: 'file in/out' stamp: 'dtl 12/2/2009 20:30'!
findAFolderToStoreProjectIn

	^ CurrentProject findAFolderForProject: self label: 'Select a folder on a server:'
! !

!Project methodsFor: 'utilities' stamp: 'dtl 12/2/2009 20:29'!
findAFolderForProject: aProject label: dialogLabel
	"Find a folder for saving or loading a project"

	self subclassResponsibility
! !

!Project methodsFor: 'file in/out' stamp: 'dtl 12/2/2009 20:30'!
findAFolderToLoadProjectFrom

	^ CurrentProject findAFolderForProject: self label: 'Select a folder on a server:'
! !

!Imports methodsFor: 'images' stamp: 'dtl 12/2/2009 20:40'!
viewImages
	"Open up a special Form inspector on the dictionary of graphical imports."
	"Imports default viewImages"
	| widgetClass |
	imports size isZero ifTrue:
		[^ self inform: 
'The ImageImports repository is currently empty,
so there is nothing to view at this time.  You can
use a file list to import graphics from external files
into Imports, and once you have done that,
you will find this command more interesting.'].
	
	widgetClass := Project current isMorphic
                ifTrue: [GraphicalDictionaryMenu]
			  ifFalse: [FormInspectView].
	widgetClass openOn:  imports withLabel: 'Graphical Imports'

! !

