"Change Set:		8481Network-ul.43

Network-ul.43:
- fix: use isKindOf: String instead of class == String

"!
!HTTPSocket class methodsFor: 'proxy settings' stamp: 'ul 12/14/2009 08:08'!
useProxyServerNamed: proxyServerName port: portNum
	"Direct all HTTP requests to the HTTP proxy server with the given name and port number."

	proxyServerName ifNil: [  "clear proxy settings"
		self httpProxyServer: nil.
		self httpProxyPort: 80.
		^ self].

	proxyServerName isString
		ifFalse: [self error: 'Server name must be a String or nil'].
	self httpProxyServer: proxyServerName.

	self httpProxyPort: portNum.
	(self httpProxyPort isKindOf: String) ifTrue: [HTTPPort := portNum asNumber].
	self httpProxyPort ifNil: [self httpProxyPort: self defaultPort].! !

