"Change Set:		8489KernelTests-ar.120

KernelTests-ar.120:
Typ-o. #collect: needs an argument.

KernelTests-ul.118:
- mark AllocationTest >> testOutOfMemorySignal as expected failure on unix machines

KernelTests-ar.119:
Fix out of memory test and document one gig alloc failure.

"!
!AllocationTest methodsFor: 'tests' stamp: 'ar 12/15/2009 15:39'!
expectedFailures 
	"the one gig allocation fails everywhere, out of memory crashes unix vm"
	SmalltalkImage current platformName = 'unix' 
		ifTrue: [ ^#(testOneGigAllocation testOutOfMemorySignal) ]
		ifFalse: [ ^#(testOneGigAllocation) ]! !

!AllocationTest methodsFor: 'tests' stamp: 'ar 12/15/2009 15:58'!
testOutOfMemorySignal
	"Ensure that OOM is signaled eventually"
	| sz |
	SmalltalkImage current platformName = 'unix' ifTrue: [ "avoid crashing"
		^self assert: false ].
	sz := 512*1024*1024. "work around the 1GB alloc bug"
	self should:[(1 to: 2000) collect:[:i| Array new: sz]] raise: OutOfMemory.

	"Call me when this test fails, I want your machine"
	sz := 1024*1024*1024*1024.
	self should:[Array new: sz] raise: OutOfMemory.
! !

