"Change Set:		8496SUnit-ul.73

SUnit-ul.73:
- refactored LongTestCase
- added a preference for running long test cases

"!
TestCase subclass: #LongTestCase
	instanceVariableNames: ''
	classVariableNames: 'ShouldRun'
	poolDictionaries: ''
	category: 'SUnit-Extensions'!

!LongTestCase class methodsFor: 'accessing' stamp: 'ul 12/15/2009 12:49'!
runLongTestCases

	self shouldRun: true! !

!LongTestCase class methodsFor: 'accessing' stamp: 'ul 12/15/2009 12:49'!
doNotRunLongTestCases

	self shouldRun: false! !

!LongTestCase class methodsFor: 'accessing' stamp: 'ul 12/15/2009 12:50'!
shouldRun: aBoolean

	ShouldRun := aBoolean! !

!LongTestCase class methodsFor: 'instance creation' stamp: 'ul 12/15/2009 12:48'!
buildSuite

	| suite |
	suite := TestSuite new.
	self shouldRun ifTrue: [
		self addToSuiteFromSelectors: suite].
	^suite! !

!LongTestCase class methodsFor: 'accessing' stamp: 'ul 12/15/2009 12:48'!
allTestSelectors

	self shouldRun ifTrue: [
		^super testSelectors ].
	^#().! !

!LongTestCase class methodsFor: 'accessing' stamp: 'ul 12/15/2009 12:54'!
shouldRun

	<preference: 'Run long test cases'
		category: 'SUnit'
		description: 'If true, the tests defined in subclasses of LongTestCase will run, if they are selected in the Test Runner, otherwise not. As the name suggests, running these tests can take a long time.'
		type: #Boolean>
	^ShouldRun ifNil: [ false ]! !

LongTestCase class removeSelector: #initialize!
LongTestCase initialize!
