"Change Set:		8587MultilingualTests-nice.5

MultilingualTests-nice.5:
Cosmetic: move or remove a few temps inside closures

"!
!MultiByteFileStreamTest methodsFor: 'testing' stamp: 'nice 12/27/2009 03:17'!
testMultiByteTextConverter
	| strings converterClasses |
	strings := {
		String newFrom: ((0 to: 255) collect: [:e | Unicode value: e]).
		String newFrom: ((0 to: 1023) collect: [:e | Unicode value: e]).
	}.
	
	converterClasses := {
		UTF8TextConverter . UTF16TextConverter .
		"CompoundTextConverter ."
		"EUCJPTextConverter . CNGBTextConverter . ShiftJISTextConverter . EUCKRTextConverter"}.
	converterClasses do: [:converterClass |
		strings do: [:string |
			| converter stream |
			converter := converterClass new.
			stream := String new writeStream.
			converter nextPutAll: string toStream: stream.
			stream := stream contents readStream.
			string do: [:e | | decoded |
				decoded := converter nextFromStream: stream.
				self assert: e charCode = decoded charCode].
			self assert: stream atEnd.
	
			stream := String new writeStream.
			string do: [:e | converter nextPut: e toStream: stream].
			stream := stream contents readStream.
			string do: [:e | | decoded |
				decoded := converter nextFromStream: stream.
				self assert: e charCode = decoded charCode].
			self assert: stream atEnd]]! !

