"Change Set:		8688Kernel-ar.356

Kernel-ar.356:
Temporarily disable warning about class redefinition to remove unused ivars from traits.

Kernel-ar.354:
Remove traitComposition accessors.

Kernel-ar.355:
Remove the egregious hack to rewrite selectors in source code due to sharing compiled methods.

"!
!CompiledMethod methodsFor: 'source code management' stamp: 'ar 12/30/2009 03:26'!
getSourceFor: selector in: class
	"Retrieve or reconstruct the source code for this method."
	| trailer source |
	trailer := self trailer.

	trailer tempNames ifNotNil: [:namesString | 
		"Magic sources -- decompile with temp names"
		^ ((class decompilerClass new withTempNames: namesString)
				decompile: selector in: class method: self)
			decompileString].
	
	trailer sourceCode ifNotNil: [:code | ^ code ].
	
	trailer hasSourcePointer ifFalse: [
		"No source pointer -- decompile without temp names"
		^ (class decompilerClass new decompile: selector in: class method: self)
			decompileString].

	"Situation normal;  read the sourceCode from the file"
	source := [self getSourceFromFile]
				on: Error
		"An error can happen here if, for example, the changes file has been truncated by an aborted download.  The present solution is to ignore the error and fall back on the decompiler.  A more thorough solution should probably trigger a systematic invalidation of all source pointers past the end of the changes file.  Consider that, as time goes on, the changes file will eventually grow large enough to cover the lost code, and then instead of falling into this error case, random source code will get returned."
				do: [ :ex | ex return: nil].
		
	^source ifNil: [
			"Something really wrong -- decompile blind (no temps)"
			 (class decompilerClass new decompile: selector in: class method: self)
				decompileString]! !

!Class methodsFor: 'initialize-release' stamp: 'ar 12/30/2009 14:11'!
shouldNotBeRedefined
	"temporarily, since I know what I'm doing"
	^false! !

Metaclass removeSelector: #traitComposition!
Class removeSelector: #traitComposition!
Metaclass removeSelector: #traitComposition:!
Class removeSelector: #traitComposition:!
