"Change Set:		8794Morphic-ar.296

Morphic-ar.296:
Make Protocols unloadable: Classify various extension methods in Protocols.

Morphic-tbn.295:
Fix for issue http://bugs.squeak.org/view.php?id=7435
now based on Morphic-ar.294.mcz

(Same as Morphic-tbn.293.mcz - which was based on Morphic-ar.292.mcz and had conflict since Andreas was committing again)

"!
!PasteUpMorph methodsFor: 'menu & halo' stamp: 'tbn 1/4/2010 01:02'!
addCustomMenuItems: menu hand: aHandMorph 
	"Add morph-specific menu itemns to the menu for the hand"
	super addCustomMenuItems: menu hand: aHandMorph.

	menu addLine.
	Preferences noviceMode
		ifFalse: [
			self addStackMenuItems: menu hand: aHandMorph.
			self addPenMenuItems: menu hand: aHandMorph.
			self addPlayfieldMenuItems: menu hand: aHandMorph].

	self isWorldMorph
		ifTrue: [
			menu addLine.
			Preferences noviceMode
				ifFalse: [(owner isKindOf: BOBTransformationMorph)
						ifTrue: [self addScalingMenuItems: menu hand: aHandMorph]].
			menu addUpdating: #showWorldMainDockingBarString action: #toggleShowWorldMainDockingBar.

			Flaps sharedFlapsAllowed ifTrue: [
				menu
					addUpdating: #suppressFlapsString
					target: Project current
					action: #toggleFlapsSuppressed.
			].
			 
			Preferences noviceMode ifFalse: [| twm |
				menu addLine.

				twm := TheWorldMenu new.
				twm world: self project: Project current hand: aHandMorph.

				menu add: 'old desktop menu... (W)' translated subMenu: twm buildWorldMenu.
			].
		].
! !

PasteUpMorph removeSelector: #makeVectorUseConformToPreference!
PasteUpMorph removeSelector: #abandonVocabularyPreference!
PasteUpMorph removeSelector: #currentVocabulary!
PasteUpMorph removeSelector: #installVectorVocabulary!
