"Change Set:		8852GraphicsTests-nice.20

GraphicsTests-nice.20:
move temp assignment outside block

GraphicsTests-nice.19:
use #forceNewFileNamed:do: pattern

"!
!PNGReadWriterTest methodsFor: 'tests - bits' stamp: 'nice 1/18/2010 19:03'!
testPngSuite
	"Requires the suite from 
		ftp://swrinde.nde.swri.edu/pub/png/images/suite/PngSuite.zip
	to be present as PngSuite.zip"
	| file |
	file := [FileStream readOnlyFileNamed: 'PngSuite.zip'] on: Error do:[nil].
	file ifNil:[^self].
	[ | zip entries |
	zip := ZipArchive new readFrom: file.
	entries := zip members select:[:mbr| mbr fileName asLowercase endsWith: '.png'].
	entries do:[:mbr| 
		(mbr fileName asLowercase first = $x)
			ifTrue: [self encodeAndDecodeWithError: mbr contentStream ]
			ifFalse: [self encodeAndDecodeStream: mbr contentStream ] ].
	] ensure:[file close].! !

!PNGReadWriterTest methodsFor: 'helpers' stamp: 'nice 1/13/2010 08:21'!
writeEncoded: bytes
	fileName ifNil:[^self].
	false ifTrue:[^self].
	FileStream forceNewFileNamed: fileName do: [:file | file nextPutAll: bytes]! !

