"Change Set:		9254Graphics-dtl.104

Graphics-dtl.104:
Remove MVC/Morphic dependencies from Form class>>openImageInWindow: and Form>>edit.

Graphics-dtl.103:
Move #asParagraph methods to package *ST80-Support.

"!
!Form methodsFor: 'editing' stamp: 'dtl 2/10/2010 14:00'!
edit
	"Open a form editor on this form. "
 
	Project current formEdit: self! !

!Form class methodsFor: 'file list services' stamp: 'dtl 2/10/2010 15:30'!
openImageInWindow: fullName
	"Handle five file formats: GIF, JPG, PNG, Form storeOn: (run coded), and BMP.
	Fail if file format is not recognized."

	| image myStream |

	myStream := (FileStream readOnlyFileNamed: fullName) binary.
	[image := self fromBinaryStream: myStream.
	Project current openImage: image name: fullName saveResource: true]
		ensure: [myStream close]! !

DisplayText removeSelector: #asParagraph!
