"Change Set:		9357Multilingual-ar.87

Multilingual-ar.87:
Change EncodedCharSet>>digitValue: to EncodedCharSet>>digitValueOf:. Part 3/3.

"!
!EncodedCharSet class methodsFor: 'class methods' stamp: 'eem 2/11/2010 13:13'!
digitValueOf: char
	"Answer 0-9 if the receiver is $0-$9, 10-35 if it is $A-$Z, and < 0 
	otherwise. This is used to parse literal numbers of radix 2-36."

	| value |
	value := char charCode.
	value <= $9 asciiValue ifTrue:
		[^value - $0 asciiValue].
	value >= $A asciiValue ifTrue:
		[value <= $Z asciiValue ifTrue: [^value - $A asciiValue + 10].
		 (value >= $a asciiValue and: [value <= $z asciiValue]) ifTrue:
			[^value - $a asciiValue + 10]].
	^ -1
! !

!Unicode class methodsFor: 'class methods' stamp: 'ar 2/11/2010 23:48'!
digitValueOf: char
	"Answer 0-9 if the receiver is $0-$9, 10-35 if it is $A-$Z, and < 0 
	otherwise. This is used to parse literal numbers of radix 2-36."

	| value |
	value := char charCode.
	value <= $9 asciiValue ifTrue:
		[^value - $0 asciiValue].
	value >= $A asciiValue ifTrue:
		[value <= $Z asciiValue ifTrue: [^value - $A asciiValue + 10].
		 (value >= $a asciiValue and: [value <= $z asciiValue]) ifTrue:
			[^value - $a asciiValue + 10]].

	value > (DecimalProperty size - 1) ifTrue: [^ -1].
	^ (DecimalProperty at: value+1)
! !

LanguageEnvironment class removeSelector: #digitValue:!
EncodedCharSet class removeSelector: #digitValue:!
Unicode class removeSelector: #digitValue:!
