"Change Set:		9527ReleaseBuilder-ar.49

ReleaseBuilder-ar.49:
More cleanup in prepareNewBuild.

"!
!ReleaseBuilderTrunk class methodsFor: 'scripts' stamp: 'ar 2/26/2010 19:30'!
prepareNewBuild "ReleaseBuilderTrunk prepareNewBuild"
	"Prepare everything that should be done for a new image build"
	Smalltalk cleanUpUndoCommands.
	Undeclared removeUnreferencedKeys.
	StandardScriptingSystem initialize.
	GradientFillStyle initPixelRampCache.
	(NaturalLanguageFormTranslator bindingOf: #CachedTranslations) value: nil.
	(NaturalLanguageTranslator bindingOf: #CachedTranslations) value: nil.
	(NaturalLanguageTranslator bindingOf: #AllKnownPhrases) value: nil.
	PaintBoxMorph classPool	at: #ColorChart put: nil.
	(Utilities bindingOf: #ScrapsBook) value: nil.
	CommandHistory resetAllHistory.
	Smalltalk at: #Browser ifPresent:[:br| br initialize].
	DataStream initialize.
	Smalltalk at: #ListParagraph ifPresent: [:lp | lp initialize].
	PopUpMenu initialize.
	Smalltalk forgetDoIts.
	Smalltalk flushClassNameCache.
	ScrollBar initializeImagesCache. 
	Behavior flushObsoleteSubclasses.
	AppRegistry withAllSubclassesDo:[:reg| reg removeObsolete].
	FileServices removeObsolete. 
	ExternalDropHandler resetRegisteredHandlers.
	SystemOrganization removeEmptyCategories.
	MCFileBasedRepository flushAllCaches.
	MCMethodDefinition shutDown.
	MCDefinition clearInstances.
	HashedCollection rehashAll.
	ChangeSet removeChangeSetsNamedSuchThat:
		[:cs| cs name ~= ChangeSet current name].
	ChangeSet current clear.
	ChangeSet current name: 'Unnamed1'.
	BitBlt recreateColorMaps.
	TextOnCurve reset.
	StrikeFont allInstancesDo:[:sf| sf reset].
	Smalltalk garbageCollect.
	MethodDictionary compactAllInstances.
	3 timesRepeat: [ 
		Smalltalk garbageCollect. 
		Symbol compactSymbolTable.
	].! !

