"Change Set:		9552Monticello-ar.377

Monticello-ar.377:
Remove last remaining uses of SyntaxError to indicate non-interactive compile.

Monticello-ar.376:
Include Bert's old ExternalStructure initialize fix from Croquet.

"!
!MCMethodDefinition methodsFor: 'installing' stamp: 'ar 3/4/2010 23:39'!
addMethodAdditionTo: aCollection
	| methodAddition |
	methodAddition := MethodAddition new
		compile: source
		classified: category
		withStamp: timeStamp
		notifying: nil
		logSource: true
		inClass: self actualClass.
	"This might raise an exception and never return"
	methodAddition createCompiledMethod.
	aCollection add: methodAddition.
! !

!MCMethodDefinition methodsFor: 'installing' stamp: 'bf 1/5/2006 15:22'!
postload
	self isInitializer
		ifTrue: [self actualClass theNonMetaClass initialize].
	self isExternalStructureFieldDefinition
		ifTrue: [self actualClass theNonMetaClass compileFields].! !

!MCMethodDefinition methodsFor: 'testing' stamp: 'bf 1/5/2006 15:56'!
isExternalStructureFieldDefinition
	^ selector = #fields
		and: [classIsMeta
			and: [
				(Smalltalk at: #ExternalStructure ifPresent: [:externalStructure |
					self actualClass theNonMetaClass inheritsFrom: externalStructure]) == true]]
			
	! !

!MCMethodDefinition methodsFor: 'accessing' stamp: 'ar 3/4/2010 23:39'!
load
	self actualClass
		compile: source
		classified: category
		withStamp: timeStamp
		notifying: nil! !

!MCMethodDefinition methodsFor: 'accessing' stamp: 'ar 3/4/2010 23:39'!
asMethodAddition
	^MethodAddition new
		compile: source
		classified: category
		withStamp: timeStamp
		notifying: nil
		logSource: true
		inClass: self actualClass.! !

