"Change Set:		9594Monticello-ar.378

Monticello-ar.378:
Avoid dictionary protocol in Smalltalk.

"!
!MCPackageLoader methodsFor: 'private' stamp: 'ar 3/5/2010 20:44'!
provisions
	^ provisions ifNil: [provisions := Set withAll: Smalltalk globals keys]! !

!MCCodeTool methodsFor: 'menus' stamp: 'ar 3/5/2010 20:57'!
browseFullProtocol
	"Open up a protocol-category browser on the value of the receiver's current selection.    If in mvc, an old-style protocol browser is opened instead.  Someone who still uses mvc might wish to make the protocol-category-browser work there too, thanks."

	| aClass |

	(Smalltalk isMorphic and: [Smalltalk hasClassNamed: #Lexicon]) ifFalse: [^ self spawnFullProtocol].
	(aClass := self selectedClassOrMetaClass) ifNotNil:
		[(Smalltalk at: #Lexicon) new openOnClass: aClass inWorld: ActiveWorld showingSelector: self selectedMessageName]! !

