"Change Set:		9596Compiler-ar.133

Compiler-ar.133:
Avoid dictionary protocol in Smalltalk.

Compiler-ar.132:
Use Smalltalk globals instead of Smalltalk as default environment.

"!
!Parser methodsFor: 'error correction' stamp: 'ar 3/5/2010 20:25'!
defineClass: className 
	"prompts the user to define a new class,  
	asks for it's category, and lets the users edit further  
	the definition"
	| sym cat def d2 |
	sym := className asSymbol.
	cat := UIManager default request: 'Enter class category : ' initialAnswer: self encoder classEncoding category.
	cat
		ifEmpty: [cat := 'Unknown'].
	def := 'Object subclass: #' , sym , '
		instanceVariableNames: '''' 
		classVariableNames: ''''
		poolDictionaries: ''''
		category: ''' , cat , ''''.
	d2 := UIManager default request: 'Edit class definition : ' initialAnswer: def.
	d2
		ifEmpty: [d2 := def].
	Compiler evaluate: d2.
	^ encoder
		global: (Smalltalk globals associationAt: sym)
		name: sym! !

!Encoder methodsFor: 'encoding' stamp: 'ar 3/5/2010 19:53'!
environment
	"Answer the environment of the current compilation context,
	 be it in a class or global (e.g. a workspace)"
	^class == nil
		ifTrue: [Smalltalk globals]
		ifFalse: [class environment]! !

