"Change Set:		9642Tests-ul.58

Tests-ul.58:
- renamed PackageDependencyTest's #testPackage:dependsOnlyOn: to #testPackage:  dependsExactlyOn:, since that's the intended behavior.
- removed fixed dependencies from #testCompiler, #testExceptions and #testMorphic

Tests-nice.56:
Add two tests reflecting new features:
- selector @- allowed
- expression (-  2) forbidden

Tests-nice.57:
Avoid using getSystemAttribute: with a cryptic argument

"!
!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testToolBuilderSUnit
	self testPackage: 'ToolBuilder-SUnit' dependsExactlyOn: #(
		Collections
		Kernel
		ToolBuilder
		'ToolBuilder-Kernel'
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:33'!
testCompression
	self testPackage: 'Compression' dependsExactlyOn: #(
		Collections
		Exceptions
		Files
		Graphics
		Kernel
		Multilingual
		SUnit
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testSystem
	self testPackage: 'System' dependsExactlyOn: #(
		Collections
		Balloon
		Compiler
		Compression
		Exceptions
		Files
		Graphics
		Kernel
		Monticello
		MonticelloConfigurations
		Morphic
		MorphicExtras
		Multilingual
		Network
		PackageInfo
		Sound
		'ToolBuilder-Kernel'
		Tools
		TrueType
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:33'!
testMonticello
	self testPackage: 'Monticello' dependsExactlyOn: #(
		Collections
		Compiler
		Compression
		Exceptions
		Files
		Graphics
		Kernel
		Morphic
		Network
		PackageInfo
		System
		Tests
		'ToolBuilder-Kernel'
		'ToolBuilder-Morphic'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testToolBuilder
	self testPackage: 'ToolBuilder-Kernel' dependsExactlyOn: #(
		Collections
		Files
		Graphics
		Kernel
		SUnit
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:33'!
testBalloon
	self testPackage: 'Balloon' dependsExactlyOn: #(
		Kernel Collections Graphics Morphic System
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:33'!
testMorphicExtras
	self testPackage: 'MorphicExtras' dependsExactlyOn: #(
		Balloon
		Collections
		Compiler
		Exceptions
		Files
		Graphics
		Kernel
		Morphic
		Network
		Sound
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:33'!
testCollections
	self testPackage: 'Collections' dependsExactlyOn: #(
		Balloon
		Compiler
		Kernel
		Compression
		Exceptions
		Files
		Graphics
		Morphic
		MorphicExtras
		Multilingual
		Network
		System
		'ToolBuilder-Kernel'
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testServices
	self testPackage: 'Services-Base' dependsExactlyOn: #(
		Collections
		Compiler
		Exceptions
		Graphics
		Kernel
		Morphic
		PackageInfo
		PreferenceBrowser
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testToolBuilderMorphic
	self testPackage: 'ToolBuilder-Morphic' dependsExactlyOn: #(
		Collections
		Exceptions
		Graphics
		Kernel
		Morphic
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testTrueType
	self testPackage: 'TrueType' dependsExactlyOn: #(
		Collections
		Balloon
		Exceptions
		Files
		Graphics
		Kernel
		Morphic
		Multilingual
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testMultilingual
	self testPackage: 'Multilingual' dependsExactlyOn: #(
		Collections
		Compiler
		Compression
		Exceptions
		Files
		Graphics
		Kernel
		Morphic
		Network
		System
		'ToolBuilder-Kernel'
		Tools
		TrueType
	).! !

!CompilerTest methodsFor: 'syntax' stamp: 'nice 3/6/2010 22:45'!
testBinarySelectorWithMinus
	"Acknowledge the fact that $- is now allowed at any place in a binary selector"
	
	| source tree |
	source := '1 @- 2' readStream.
	tree := (Compiler new)
		from: source class: Object context: nil notifying: nil;
		translate: source noPattern: true ifFail: [nil].
	self assert: tree notNil.
	
	"Hem, this test is really ugly..."
	self assert: tree block statements first expr selector key = #'@-'.! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:33'!
testEtoys
	self testPackage: 'EToys' dependsExactlyOn: #(
		Balloon
		Collections
		Compiler
		Exceptions
		Files
		Graphics
		Kernel
		Morphic
		MorphicExtras
		Network
		Protocols
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testSound
	self testPackage: 'Sound' dependsExactlyOn: #(
		Collections
		Balloon
		EToys
		Files
		Graphics
		Kernel
		Morphic
		MorphicExtras
		Network
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testShoutCore
	self testPackage: 'ShoutCore' dependsExactlyOn: #(
		Collections
		Graphics
		Kernel
		Monticello
		System
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testSUnit
	self testPackage: 'SUnit' dependsExactlyOn: #(
		Collections
		Exceptions
		Kernel
		System
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testToolBuilderMVC
	self testPackage: 'ToolBuilder-MVC' dependsExactlyOn: #(
		Collections
		Exceptions
		Graphics
		ST80
		ToolBuilder
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testNetwork
	self testPackage: 'Network' dependsExactlyOn: #(
		Collections
		Compiler
		Compression
		Exceptions
		Files
		Graphics
		Kernel
		Morphic
		Multilingual
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testPackageInfo
	self testPackage: 'PackageInfo' dependsExactlyOn: #(
		Collections
		Compiler
		Graphics
		Kernel
		Morphic
		System
		'ToolBuilder-Kernel'
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:44'!
testMorphic
	self testPackage: 'Morphic' dependsExactlyOn: #(
		Balloon
		Collections
		Compiler
		EToys
		Exceptions
		Files
		Graphics
		Kernel
		Monticello
		MonticelloConfigurations
		'Morphic-TrueType'			"????"
		MorphicExtras
		Multilingual
		Network
		ST80
		Sound
		System
		'ToolBuilder-Kernel'
		'ToolBuilder-Morphic'
		Tools
		TrueType
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testVersionNumber
	self testPackage: 'VersionNumber' dependsExactlyOn: #(
		Collections
		Kernel
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:33'!
testFiles
	self testPackage: 'Files' dependsExactlyOn: #(
		Collections
		Compression
		Exceptions
		Graphics
		Kernel
		Multilingual
		Network
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:45'!
testCompiler
	self testPackage: 'Compiler' dependsExactlyOn: #(
		Collections
		Exceptions
		Graphics
		Kernel
		System
		'ToolBuilder-Kernel'
	).! !

!CompilerTest methodsFor: 'syntax' stamp: 'nice 3/6/2010 22:31'!
testNegativeNumbers
	"Acknowledge the fact that (-  2) which was accepted up to Squeak 3.10 is not valid anymore"
	
	self assert: (Compiler evaluate: '-2') = 2 negated.
	self should: [Compiler evaluate: '-  2'] raise: SyntaxErrorNotification description: 'A negative number literal shall not include any separator'! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:33'!
testKernel
	self testPackage: 'Kernel' dependsExactlyOn: #(
		Collections
		Compiler
		Compression
		Exceptions
		Files
		Graphics
		Morphic
		MorphicExtras
		Multilingual
		System
		'ToolBuilder-Kernel'
		Tools
		Traits
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testTraits
	self testPackage: 'Traits' dependsExactlyOn: #(
		Collections
		Compiler
		Exceptions
		Files
		Kernel
		Monticello
		System
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testSUnitGUI
	self testPackage: 'SUnitGUI' dependsExactlyOn: #(
		Collections
		Graphics
		Kernel
		PackageInfo
		SUnit
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testPreferenceBrowser
	self testPackage: 'PreferenceBrowser' dependsExactlyOn: #(
		Collections
		EToys
		Exceptions
		Graphics
		Kernel
		Morphic
		MorphicExtras
		System
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testXML
	self testPackage: 'XML' dependsExactlyOn: #(
		Collections
		Exceptions
		Files
		Kernel
		Multilingual
		System
		Tests
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:33'!
testInstaller
	self testPackage: 'Installer' dependsExactlyOn: #(
		Collections
		Compression
		Exceptions
		Files
		Kernel
		Monticello
		MonticelloConfigurations
		Multilingual
		Network
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:33'!
testGraphics
	self testPackage: 'Graphics' dependsExactlyOn: #(
		Collections
		Compression
		Exceptions
		Files
		Kernel
		Morphic
		MorphicExtras
		Multilingual
		Network
		System
		'ToolBuilder-Kernel'
		Tools
		TrueType
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testNebraska
	self testPackage: 'Nebraska' dependsExactlyOn: #(
		Balloon
		Collections
		EToys
		Exceptions
		Files
		Graphics
		Kernel
		Morphic
		MorphicExtras
		Multilingual
		Network
		SUnit
		Sound
		System
		'ToolBuilder-Kernel'
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testTools
	self testPackage: 'Tools' dependsExactlyOn: #(
		Collections
		Compiler
		Compression
		Exceptions
		Files
		Graphics
		Kernel
		Morphic
		MorphicExtras
		Multilingual
		Network
		PackageInfo
		ST80
		System
		'ToolBuilder-Kernel'
	).! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testST80
	self testPackage: 'ST80' dependsExactlyOn: #(
		Collections
		Compiler
		Exceptions
		Files
		Graphics
		Kernel
		Morphic
		Multilingual
		Network
		SUnit
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!PackageDependencyTest methodsFor: 'utilities' stamp: 'ul 3/8/2010 01:44'!
testPackage: pkgName dependsExactlyOn: pkgList
	"Ensure that the package with the given name depends only on the packages in pkgList.
	NOTE: If you use this for fixing dependencies, classDeps includes the classes
	and users from the package(s) not declared as dependents. Basically, you need
	to fix all the references in classDeps to make the test pass."
	| classDeps pi pkgDeps |
	classDeps := IdentityDictionary new.
	pi := PackageOrganizer default packageNamed: pkgName ifAbsent:[^self]. "unloaded"
	pi classes do:[:pkgClass| 
		(classDeps at: (pkgClass superclass ifNil:[ProtoObject]) 
			ifAbsentPut:[OrderedCollection new]) add: pkgClass name, ' superclass'.
	].
	pi methods do:[:mref| | cm |
		cm := mref compiledMethod.
		1 to: cm numLiterals do:[:i| | lit |
			((lit := cm literalAt: i) isVariableBinding 
				and:[lit value isBehavior]) ifTrue:[(classDeps at: lit value ifAbsentPut:[OrderedCollection new]) add: cm methodClass asString, '>>', cm selector]]].
	pkgDeps := Dictionary new.
	classDeps keys do:[:aClass| | pkg |
		pkg := PackageOrganizer default packageOfClass: aClass ifNone:[nil].
		pkg ifNil:[
			Transcript cr; show: 'WARNING: No package for ', aClass.
			(classDeps removeKey: aClass) do:[:each| Transcript crtab; show: each].
		] ifNotNil:[
			(pkgDeps at: pkg name ifAbsentPut:[OrderedCollection new]) add: aClass.
		].
	].
	(pkgDeps removeKey: pkgName ifAbsent:[#()]) 
		do:[:aClass| classDeps removeKey: aClass ifAbsent:[]].
	pkgList do:[:pkg|
		self assert: (pkgDeps includesKey: pkg).
		(pkgDeps removeKey: pkg ifAbsent: [#()]) 
			do:[:aClass| classDeps removeKey: aClass ifAbsent:[]].
	].
	classDeps keysAndValuesDo:[:class :deps|
		Transcript cr; show: class name, ' dependencies:'.
		deps do:[:each| Transcript crtab; show: each].
	].
	self assert: pkgDeps isEmpty.
! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:34'!
testProtocols
	self testPackage: 'Protocols' dependsExactlyOn: #(
		Collections
		Graphics
		Kernel
		Morphic
		MorphicExtras
		System
		'ToolBuilder-Kernel'
		Tools
	).! !

!Win32VMTest methodsFor: 'tests' stamp: 'nice 3/7/2010 01:33'!
testWinVM3ButtonMousePreference
	"Ensure that swapMouseButtons agrees with 3ButtonMouse preference"
	| iniData iniPref exePath |
	Smalltalk platformName = 'Win32' ifFalse:[^self].
	exePath := Smalltalk vmPath.
	iniData := [
		(FileStream readOnlyFileNamed: (exePath copyUpToLast: $.), '.ini')
			 contentsOfEntireFile
	] on: Error do:[:ex| ex return: ''].
	iniPref := false. "default is OFF"
	iniData linesDo:[:line|
		(line beginsWith: '3ButtonMouse') ifTrue:[
			iniPref := (line copyAfter: $=) withBlanksTrimmed ~= '0'.
		].
	].
	self assert: iniPref = Preferences swapMouseButtons.
! !

!PackageDependencyTest methodsFor: 'tests' stamp: 'ul 3/8/2010 01:45'!
testExceptions
	self testPackage: 'Exceptions' dependsExactlyOn: #(
		Collections
		Graphics
		Kernel
		Morphic
		System
	).! !

PackageDependencyTest removeSelector: #testPackage:dependsOnlyOn:!
