"Change Set:		9646Monticello-ar.379

Monticello-ar.379:
Put the newer version check back into saveVersion. It prevents accidental commits when there are newer (unmerged) versions in the repository. The test got lost probably accidentally a while ago; if the removal was deliberate we should make this a preference (I'm too lazy to live without it :-)


"!
!MCWorkingCopyBrowser methodsFor: 'actions' stamp: 'ar 3/9/2010 17:13'!
saveVersion
	| repo |
	self canSave ifFalse: [^self].
	self checkForNewerVersions ifFalse: [^self].
	repo := self repository.
	workingCopy newVersion ifNotNil:
		[:v |
		(MCVersionInspector new version: v) show.
		Cursor wait showWhile: [repo storeVersion: v].
		MCCacheRepository default cacheAllFileNamesDuring: 
			[repo cacheAllFileNamesDuring: 
				[v allAvailableDependenciesDo:
					[:dep |
					(repo includesVersionNamed: dep info name)
						ifFalse: [repo storeVersion: dep]]]]]! !

