"Change Set:		9798Kernel-ar.435

Kernel-ar.435:
Include the selector of the failing primitive in the error message about primitive failure. For example:

	Socket new primSocketDestroy: nil

now tells us that primSocketDestroy: failed instead of just 'a primitive has failed'.

"!
!Object methodsFor: 'error handling' stamp: 'ar 3/25/2010 15:23'!
primitiveFailed: selector
	"Announce that a primitive has failed and there is no appropriate 
	Smalltalk code to run."

	self error: selector asString, ' failed'! !

!Object methodsFor: 'error handling' stamp: 'ar 3/25/2010 15:23'!
primitiveFailed
	"Announce that a primitive has failed and there is no appropriate 
	Smalltalk code to run."

	self primitiveFailed: thisContext sender selector! !

