"Change Set:		9812Multilingual-bf.110

Multilingual-bf.110:
- use default directory when downloading fonts, not 'SecurityManager default untrustedUserDirectory' (which is equivalent anyway)

Multilingual-nice.108:
Correct CombinedChar>>#add:
-----------------------------------------------
Details:
Compositions classVar is a:
<Dictionary
	key: firstLetter charCode
	value: (Dictionary
		key: diacritical charCode
		value: combined charCode)>
combined instVar is a <Character>

Previous code was double bogus:
1) accessing (Compositions at: firstLetter charCode) at: firstLetter charCode
instead of (Compositions at: firstLetter charCode) at: diacritical charCode
2) storing combined charCode (Integer) in combined, instead of a Character.


Multilingual-ar.109:
Merging Multilingual-ul.105

- implement MultiByteFileStream >> #back (for #backChunk)

"!
!ByteTextConverter methodsFor: 'conversion' stamp: 'ul 3/22/2010 08:18'!
backFromStream: aStream

	aStream position = 0 ifTrue: [ ^nil ].
	aStream isBinary ifTrue: [ ^aStream basicBack ].
	^self toSqueak: aStream basicBack! !

!MultiByteFileStream methodsFor: 'private basic' stamp: 'ul 3/22/2010 07:50'!
basicBack

	self position = 0 ifTrue: [ self errorCantGoBack ].
	self skip: -1.
	^self basicPeek
! !

!TextConverter methodsFor: 'conversion' stamp: 'ul 3/22/2010 07:47'!
backFromStream: aStream

	self subclassResponsibility
! !

!MultiByteFileStream methodsFor: 'public' stamp: 'ul 3/22/2010 07:59'!
back

	^converter backFromStream: self! !

!UTF8TextConverter methodsFor: 'conversion' stamp: 'ul 3/22/2010 08:18'!
backFromStream: aStream

	aStream position = 0 ifTrue: [ ^nil ].
	aStream isBinary ifTrue: [ ^aStream basicBack ].
	[ aStream position = 0 or: [ 
		(aStream basicBack asciiValue bitXor: 128) >= 64 ] ] whileFalse.
	^aStream peek! !

!LanguageEnvironment methodsFor: 'fonts support' stamp: 'bf 3/27/2010 12:35'!
fontFullName
	"(Locale isoLanguage: 'ja') languageEnvironment fontFullName"
	^ FileDirectory default fullNameFor: self fontFileName! !

!CombinedChar methodsFor: 'composition' stamp: 'nice 3/26/2010 01:00'!
add: char

	| dict elem |
	codes ifNil: [codes := Array with: char. combined := char. ^ true].
	dict := Compositions at: combined charCode ifAbsent: [^ false].
	elem := dict at: char charCode ifAbsent: [^ false].
	codes := codes copyWith: char.
	combined := Character leadingChar: self base leadingChar code: elem.
	^ true.
! !

